Index: /collections/documented-examples/trunk/pagedimg-e/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/pagedimg-e/etc/collect.cfg	(revision 19374)
+++ /collections/documented-examples/trunk/pagedimg-e/etc/collect.cfg	(revision 19375)
@@ -3,19 +3,21 @@
 public		true
 
+buildtype	mg
+
 indexes		section:text
 defaultindex	section:text
 
-plugin		GreenstoneXMLPlugin
-# We want the two types of paged documents to be treated differently: paged 
-# and hierarchical. So include two PagedImagePlugin plugins and modify the 
+plugin	GreenstoneXMLPlugin
+# We want the two types of paged documents to be treated differently: paged
+# and hierarchical. So include two PagedImagePlugin plugins and modify the
 # process_exp.
-plugin		PagedImagePlugin -create_screenview true -minimumsize 100 -documenttype hierarchy -process_exp xml.*\.item$ -OIDtype assigned -OIDmetadata ItemOID
-plugin		PagedImagePlugin -create_screenview true -minimumsize 100 -documenttype paged  -OIDtype assigned -OIDmetadata ItemOID
-plugin		MetadataXMLPlugin
-plugin		ArchivesInfPlugin
-plugin		DirectoryPlugin
+plugin	PagedImagePlugin -process_exp xml.*\.item$ -create_screenview true -OIDtype assigned -minimumsize 100 -OIDmetadata ItemOID -documenttype hierarchy
+plugin	PagedImagePlugin -create_screenview true -OIDtype assigned -minimumsize 100 -OIDmetadata ItemOID -documenttype paged
+plugin	MetadataXMLPlugin
+plugin	ArchivesInfPlugin
+plugin	DirectoryPlugin
 
-classify	AZCompactList -metadata Series -sort Date 
-classify	DateList 
+classify	AZCompactList -metadata Series -sort Date
+classify	DateList
 
 # Format statements to display Series, Volume, Number and Date information
@@ -36,5 +38,5 @@
 
 # We customise the document display, so use the extended options
-format AllowExtendedOptions  true
+format AllowExtendedOptions true
 
 # We want to add in fullsize/preview/text buttons to switch between the
@@ -45,7 +47,7 @@
 <tr valign=top><td><table><tr><td>
 [DocumentButtonDetach][DocumentButtonHighlight]
-{If}{_cgiargp_ eq 'fullsize',{If}{[screenicon],_document:viewpreview_}
+{If}{_cgiargp_ eq \'fullsize\',{If}{[screenicon],_document:viewpreview_}
 {If}{[NoText] eq \'1\',,_document:viewtext_},
-{If}{_cgiargp_ eq 'preview',{If}{[srcicon],_document:viewfullsize_}
+{If}{_cgiargp_ eq \'preview\',{If}{[srcicon],_document:viewfullsize_}
 {If}{[NoText] eq \'1\',,_document:viewtext_},
 {If}{[srcicon],_document:viewfullsize_}
@@ -54,6 +56,6 @@
 <td>[DocTOC]</td></tr></table></center>"
 
-# Document text display changes based on the p argument - this is not used 
-#normally for document display, so we can use it here to switch between 
+# Document text display changes based on the p argument - this is not used
+#normally for document display, so we can use it here to switch between
 #fullsize/preview/text versions.
 format DocumentText "<center><table width=_pagewidth_><tr><td>
@@ -65,99 +67,99 @@
 # -- English strings --------------------
 collectionmeta	collectionname [l=en] "Paged Image example"
-collectionmeta  .section:text [l=en] "newspaper pages"
+collectionmeta	.section:text [l=en] "newspaper pages"
 
 # -- Spanish strings --------------------
 collectionmeta	collectionname [l=es] "Ejemplo de imÃ¡genes paginadas"
-collectionmeta  .section:text [l=es] "pÃ¡ginas de diario"
+collectionmeta	.section:text [l=es] "pÃ¡ginas de diario"
 
 # -- English text -----------------------
 
-collectionmeta	collectionextra [l=en] "This collection contains a few newspapers from the 
-<a href='http://www.nzdl.org/cgi-bin/library?a=p&amp;p=about&amp;c=niupepa'>
-Niupepa</a> collection of Maori newspapers. 
+collectionmeta	collectionextra [l=en] "This collection contains a few newspapers from the
+<a href=\'http://www.nzdl.org/cgi-bin/library?a=p&amp;p=about&amp;c=niupepa\'>
+Niupepa</a> collection of Maori newspapers.
 
 <h3>How the collection works</h3>
-<p>Each newspaper issue consists of a set of images, one per page, and a set 
-of text files for the OCR'd text. An item file links the set of pages into a 
-single newspaper document. PagedImagePlugin is used to process the item files. 
-<p>There are two styles of item files, and this collection demonstrates both. 
-The first uses a text based format, and consists of a list of metadata for the 
-document, and a list of pages. Here are some examples: 
-<a href='_httpcollection_/import/09/09\_1\_1.item'>Te Waka o Te Iwi, Vol. 1, No. 1</a>, 
-<a href='_httpcollection_/import/10/10\_1\_3.item'>Te Whetu o Te Tau, Vol. 1, No. 3</a>. 
+<p>Each newspaper issue consists of a set of images, one per page, and a set
+of text files for the OCR\'d text. An item file links the set of pages into a
+single newspaper document. PagedImagePlugin is used to process the item files.
+<p>There are two styles of item files, and this collection demonstrates both.
+The first uses a text based format, and consists of a list of metadata for the
+document, and a list of pages. Here are some examples:
+<a href=\'_httpcollection_/import/09/09\_1\_1.item\'>Te Waka o Te Iwi, Vol. 1, No. 1</a>,
+<a href=\'_httpcollection_/import/10/10\_1\_3.item\'>Te Whetu o Te Tau, Vol. 1, No. 3</a>.
 This format allows specification of document level metadata, and a single list of pages.
-<p>The second style is an extended format, and uses XML. It allows a hierarchy 
-of pages, and metadata specification at the page level as well as at the 
-document level. An example is <a href='_httpcollection_/import/xml/23/23\_\_2.item'>Matariki 1881, No. 2</a>. 
-This newspaper also has an abstract associated with it. The contents have been 
+<p>The second style is an extended format, and uses XML. It allows a hierarchy
+of pages, and metadata specification at the page level as well as at the
+document level. An example is <a href=\'_httpcollection_/import/xml/23/23\_\_2.item\'>Matariki 1881, No. 2</a>.
+This newspaper also has an abstract associated with it. The contents have been
 grouped into two sections: Supplementary Material, which contains the Abstract,
- and Newspaper Pages, which contains the page images.
-<p>Paged documents can be presented with a hierarchical table of contents 
-(e.g. <a href='?a=d&amp;c=_cgiargc_&amp;d=23\_\_1.2.1&p=text'>this one</a>), 
-or with next and previous page arrows, and a goto page box 
-(e.g. <a href='?a=d&amp;c=_cgiargc_&amp;d=10\_1\_2&p=preview'>this one</a>). 
-This is specified by the <tt>-documenttype (hierarchy|paged)</tt> option to PagedImagePlugin. 
-The next and previous arrows suit the linear sequence documents, while the table of contents 
+and Newspaper Pages, which contains the page images.
+<p>Paged documents can be presented with a hierarchical table of contents
+(e.g. <a href=\'?a=d&amp;c=_cgiargc_&amp;d=23\_\_1.2.1&p=text\'>this one</a>),
+or with next and previous page arrows, and a goto page box
+(e.g. <a href=\'?a=d&amp;c=_cgiargc_&amp;d=10\_1\_2&p=preview\'>this one</a>).
+This is specified by the <tt>-documenttype (hierarchy|paged)</tt> option to PagedImagePlugin.
+The next and previous arrows suit the linear sequence documents, while the table of contents
 suits the hierarchically organised document. Ordinarily, a Greenstone collection
- would have one plugin per document type, and all documents of that type get 
-the same processing. In this case, we want to treat the XML-based item files 
-differently from the text-based item files. We can achieve this by adding two 
-PagedImagePlugin plugins to the collection, and configuring them differently. 
+would have one plugin per document type, and all documents of that type get
+the same processing. In this case, we want to treat the XML-based item files
+differently from the text-based item files. We can achieve this by adding two
+PagedImagePlugin plugins to the collection, and configuring them differently.
 <p><tt>plugin PagedImagePlugin -documenttype hierarchy -process_exp xml.*\.item$ <br/>
-plugin	PagedImagePlugin -documenttype paged </tt>
+plugin PagedImagePlugin -documenttype paged </tt>
 
-<p>XML based newpapers have been grouped into a folder called <tt>xml</tt>. 
-This enables us to process these files differently, by utilising the 
-<tt>process_exp</tt> option which all plugins support. The first PagedImagePlugin 
-in the list looks for item files underneath the xml folder. These documents 
-will be processed as hierarchical documents. Item files that don't match the 
-process expression (i.e. aren't underneath the xml folder) will be passed onto 
+<p>XML based newpapers have been grouped into a folder called <tt>xml</tt>.
+This enables us to process these files differently, by utilising the
+<tt>process_exp</tt> option which all plugins support. The first PagedImagePlugin
+in the list looks for item files underneath the xml folder. These documents
+will be processed as hierarchical documents. Item files that don\'t match the
+process expression (i.e. aren\'t underneath the xml folder) will be passed onto
 the second PagedImagePlugin, and these are treated as paged documents.
 
 <p><b>Formatting</b>
-<p>We have modified the document formatting to display fullsized images, 
-preview images or text, with buttons to switch between them. This involves 
-modifications to the DocumentHeading and DocumentText format statements in the 
-<a href='_httpcollection_/etc/collect.cfg' target=\'collect.cfg\'>collection configuration file</a>, 
-and some macro definitions in the <a href='_httpcollection_/macros/extra.dm' target=\'extra.dm\'>extra.dm macro file</a>.
+<p>We have modified the document formatting to display fullsized images,
+preview images or text, with buttons to switch between them. This involves
+modifications to the DocumentHeading and DocumentText format statements in the
+<a href=\'_httpcollection_/etc/collect.cfg\' target=\'collect.cfg\'>collection configuration file</a>,
+and some macro definitions in the <a href=\'_httpcollection_/macros/extra.dm\' target=\'extra.dm\'>extra.dm macro file</a>.
 The extra.dm macro file provides definitions for the buttons (\_viewfullsize\_,
- \_viewpreview\_, \_viewtext\_) which are used by the format statement in the 
-collect.cfg file. The format statement switches the document display and sets 
-the buttons to be displayed based on the p argument, which is also set by the 
+\_viewpreview\_, \_viewtext\_) which are used by the format statement in the
+collect.cfg file. The format statement switches the document display and sets
+the buttons to be displayed based on the p argument, which is also set by the
 format statement.
 "
 
 # -- Spanish text -----------------------
-collectionmeta	collectionextra [l=es] "Esta colecciÃ³n contiene algunos diarios de la colecciÃ³n  
-<a href='http://www.nzdl.org/cgi-bin/library?a=p&amp;p=about&amp;c=niupepa'>
-Niupepa</a> de periÃ³dicos Maories. 
+collectionmeta	collectionextra [l=es] "Esta colecciÃ³n contiene algunos diarios de la colecciÃ³n
+<a href=\'http://www.nzdl.org/cgi-bin/library?a=p&amp;p=about&amp;c=niupepa\'>
+Niupepa</a> de periÃ³dicos Maories.
 
 <h3>CÃ³mo funciona la colecciÃ³n</h3>
 <p>Cada diario consiste en un conjunto de imÃ¡genes, una por pÃ¡gina, y un conjunto de archivos de texto provenientes del OCR. Un archivo .item relaciona al conjunto de pÃ¡ginas en un Ãºnico documento de diario. PagedImagePlugin se utiliza para procesar esos archivos .item.
-<p>Hay dos estilos para escribir esos archivos item. y esta colecciÃ³n demuestra ambos. 
-El primero usa un formato bÃ¡sico de texto, y consiste en una lista de metadatos para el documento, y una lista de pÃ¡ginas. AquÃ­ hay algunos ejemplos: 
-<a href='_httpcollection_/import/09/09\_1\_1.item'>Te Waka o Te Iwi, Vol. 1, No. 1</a>, 
-<a href='_httpcollection_/import/10/10\_1\_3.item'>Te Whetu o Te Tau, Vol. 1, No. 3</a>. 
-Este formato permite la especificaciÃ³n de metadatos a nivel de documento, y una lista simple de pÃ¡ginas. 
-<p>El segundo estilo es un formato extendido y usa XML. Permite una jerarquÃ­a de pÃ¡ginas, y una especificaciÃ³n de metadatos a nivel de documento como tambiÃ©n de pÃ¡ginas. Un ejemplo es <a href='_httpcollection_/import/xml/23/23\_\_2.item'>Matariki 1881, No. 2</a>. 
+<p>Hay dos estilos para escribir esos archivos item. y esta colecciÃ³n demuestra ambos.
+El primero usa un formato bÃ¡sico de texto, y consiste en una lista de metadatos para el documento, y una lista de pÃ¡ginas. AquÃ­ hay algunos ejemplos:
+<a href=\'_httpcollection_/import/09/09\_1\_1.item\'>Te Waka o Te Iwi, Vol. 1, No. 1</a>,
+<a href=\'_httpcollection_/import/10/10\_1\_3.item\'>Te Whetu o Te Tau, Vol. 1, No. 3</a>.
+Este formato permite la especificaciÃ³n de metadatos a nivel de documento, y una lista simple de pÃ¡ginas.
+<p>El segundo estilo es un formato extendido y usa XML. Permite una jerarquÃ­a de pÃ¡ginas, y una especificaciÃ³n de metadatos a nivel de documento como tambiÃ©n de pÃ¡ginas. Un ejemplo es <a href=\'_httpcollection_/import/xml/23/23\_\_2.item\'>Matariki 1881, No. 2</a>.
 Este diario tambiÃ©n tiene un resumen asociado a Ã©l. Los contenidos han sido agrupados en 2 secciones: Material Suplementario, la cual contiene el resumen, y PÃ¡ginas del Diario, que contiene las imÃ¡genes de las pÃ¡ginas.
 <p>Los documentos paginados pueden presentarse con una tabla de contenidos jerÃ¡rquica
-(por ej. <a href='?a=d&amp;c=_cgiargc_&amp;d=23\_\_1.2.1&p=text'>esta</a>), 
-o con flechas "Siguiente" y "Anterior" y un recuadro "Ir a la pÃ¡gina..."  
-(por ej. <a href='?a=d&amp;c=_cgiargc_&amp;d=10\_1\_2&p=preview'>esta</a>). 
-Esto es definido por la opciÃ³n <tt>-documenttype (hierarchy|paged)</tt> asignada al plugin PagedImagePlugin. 
-Las flechas Siguiente y Anterior permiten seguir el documento de manera lineal, mientras que la tabla de contenidos muestra al documento organizado jerÃ¡rquicamente. Generalmente, una colecciÃ³n de Greenstone tendrÃ­a un plugin por cada tipo de documento y todos los documentos de ese mismo tipo tendrÃ­an el mismo procesamiento. En este caso, queremos tratar los archivos .item con formato XML de manera diferente a aquellos con formato de texto plano. Esto puede lograrse agregando dos plugin PagedImagePlugin a la colecciÃ³n, y configurÃ¡ndolo de manera diferente. 
+(por ej. <a href=\'?a=d&amp;c=_cgiargc_&amp;d=23\_\_1.2.1&p=text\'>esta</a>),
+o con flechas \"Siguiente"
+(por ej. <a href='?a=d&amp;c=_cgiargc_&amp;d=10\_1\_2&p=preview'>esta</a>).
+Esto es definido por la opciÃ³n <tt>-documenttype (hierarchy|paged)</tt> asignada al plugin PagedImagePlugin.
+Las flechas Siguiente y Anterior permiten seguir el documento de manera lineal, mientras que la tabla de contenidos muestra al documento organizado jerÃ¡rquicamente. Generalmente, una colecciÃ³n de Greenstone tendrÃ­a un plugin por cada tipo de documento y todos los documentos de ese mismo tipo tendrÃ­an el mismo procesamiento. En este caso, queremos tratar los archivos .item con formato XML de manera diferente a aquellos con formato de texto plano. Esto puede lograrse agregando dos plugin PagedImagePlugin a la colecciÃ³n, y configurÃ¡ndolo de manera diferente.
 <p><tt>plugin PagedImagePlugin -documenttype hierarchy -process_exp xml.*\.item$ <br/>
-plugin PagedImagePlugin -documenttype paged </tt>
+plugin	PagedImagePlugin -documenttype paged
 
-<p>Los diarios basados en XML han sido agrupados en una carpeta llamada <tt>xml</tt>. 
-Esto nos permite procesar esos archivos de una manera diferente, utilizando la opciÃ³n <tt>process_exp</tt> que es soportada por todos los plugins. El primer plugin PagedImagePlugin 
+<p>Los diarios basados en XML han sido agrupados en una carpeta llamada <tt>xml</tt>.
+Esto nos permite procesar esos archivos de una manera diferente, utilizando la opciÃ³n <tt>process_exp</tt> que es soportada por todos los plugins. El primer plugin PagedImagePlugin
 en la lista busca archivos .item que se encuentren en la carpeta xml. Estos documentos se procesarÃ¡n como documentos jerÃ¡rquicos. Los archivos .item que no coincidan con la expresiÃ³n de procesamiento (por ejemplo, los que no estÃ©n dentro de la carpeta xml) serÃ¡n pasados al segundo plugin PagedImagePlugin, y se tratarÃ¡n como documentos paginados.
 
 <p><b>Formateo</b>
-<p>Hemos modificado el formateo del documento para mostrar imÃ¡genes a tamaÃ±o completo, previsualizar imÃ¡genes o texto y botones para cambiar entre estas opciones. Esto involucra modificaciones a las cadenas de formateo del DocumentHeading y el DocumentText en el  
-<a href='_httpcollection_/etc/collect.cfg' target=\'collect.cfg\'>archivo de configuraciÃ³n de la colecciÃ³n.</a>, 
+<p>Hemos modificado el formateo del documento para mostrar imÃ¡genes a tamaÃ±o completo, previsualizar imÃ¡genes o texto y botones para cambiar entre estas opciones. Esto involucra modificaciones a las cadenas de formateo del DocumentHeading y el DocumentText en el
+<a href='_httpcollection_/etc/collect.cfg' target=\'collect.cfg\'>archivo de configuraciÃ³n de la colecciÃ³n.</a>,
 y algunas definiciones de macros en el <a href='_httpcollection_/macros/extra.dm' target=\'extra.dm\'>archivo de macros extra.dm</a>.
 El archivo extra.dm provee definiciones para los botones (\_viewfullsize\_,
- \_viewpreview\_, \_viewtext\_) los cuales son usados por la sentencia de formateo en el archivo collect.cfg. La sentencia de formateo cambia la visualizaciÃ³n del documento y setea los botones que deben mostrarse basÃ¡ndose en el argumento p, el cual es configurado tambiÃ©n en la misma sentencia.
- "
+\_viewpreview\_, \_viewtext\_) los cuales son usados por la sentencia de formateo en el archivo collect.cfg. La sentencia de formateo cambia la visualizaciÃ³n del documento y setea los botones que deben mostrarse basÃ¡ndose en el argumento p, el cual es configurado tambiÃ©n en la misma sentencia.
+"