Index: collections/documented-examples/trunk/wiki-e/etc/collect.cfg
===================================================================
--- collections/documented-examples/trunk/wiki-e/etc/collect.cfg	(revision 19359)
+++ collections/documented-examples/trunk/wiki-e/etc/collect.cfg	(revision 19377)
@@ -11,12 +11,12 @@
 levels	document
 
-plugin		GreenstoneXMLPlugin
-plugin		PDFPlugin
-plugin		WordPlugin
-plugin		NulPlugin
-plugin		MediaWikiPlugin -searchbox_div_exp <div([^>]*)id=(\"|')p-search(\"|')(.|\n)*?</div> -show_toc -delete_toc -remove_title_suffix_exp " - (.*)" -toc_exp <table([^>]*)id=(\"|')toc(\"|')(.|\n)*?</table>\n -nav_div_exp <div([^>]*)id=(\"|')p-navigation(\"|')(.|\n)*?</div> -delete_searchbox -delete_nav
-plugin		MetadataXMLPlugin
-plugin		ArchivesInfPlugin
-plugin		DirectoryPlugin
+plugin	GreenstoneXMLPlugin
+plugin	PDFPlugin
+plugin	WordPlugin
+plugin	NulPlugin
+plugin	MediaWikiPlugin -show_toc -toc_exp <table([^>]*)id=(\"|')toc(\"|')(.|\n)*?</table>\n -delete_nav -nav_div_exp <div([^>]*)id=(\"|')p-navigation(\"|')(.|\n)*?</div> -delete_toc -searchbox_div_exp <div([^>]*)id=(\"|')p-search(\"|')(.|\n)*?</div> -delete_searchbox -remove_title_suffix_exp " - (.*)"
+plugin	MetadataXMLPlugin
+plugin	ArchivesInfPlugin
+plugin	DirectoryPlugin
 
 classify	AZList -metadata Title
@@ -39,13 +39,13 @@
 format SearchTypes "plain"
 
-collectionmeta	.text  "_labeltext_"
-collectionmeta	.Title  "_labeltitle_"
-collectionmeta	.Source "_labelSource_"
+collectionmeta	.text [l=en] "_labeltext_"
+collectionmeta	.Title [l=en] "_labeltitle_"
+collectionmeta	.Source [l=en] "_labelSource_"
 
 # -- English text ----------------
 collectionmeta	collectionname [l=en] "MediaWiki collection"
 collectionmeta	collectionextra [l=en] "
-This demonstration collection is made from the Greenstone Wiki website. 
-It shows off the new feature of building a Greenstone collection from a 
+This demonstration collection is made from the Greenstone Wiki website.
+It shows off the new feature of building a Greenstone collection from a
 MediaWiki website in Greestone.
 
@@ -54,30 +54,30 @@
 <p>
 The <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>collection
- configuration file</a> contains the plugins <i>MediaWikiPlugin</i>, 
-<i>ImagePlugin</i>, <i>ZipPlugin</i>, <i>PDFPlugin</i>, 
-<i>PowerPointPlugin</i>, <i>WordPlugin</i> (along with the standard 
-plugins <i>GreenstoneXMLPlugin</i>, <i>ArchivesInfPlugin</i> and 
-<i>DirectoryPlugin</i>). The <i>MediaWikiPlugin</i> handles the HTML pages 
-downloaded from a MediaWiki website, while <i>ImagePlugin</i>, 
-<i>ZipPlugin</i>, <i>PDFPlugin</i>, <i>PowerPointPlugin</i> and 
-<i>WordPlugin</i> handle the image, zip, PDF, PowerPoint and Word 
-files associated with the Greenstone Wiki. 
+configuration file</a> contains the plugins <i>MediaWikiPlugin</i>,
+<i>ImagePlugin</i>, <i>ZipPlugin</i>, <i>PDFPlugin</i>,
+<i>PowerPointPlugin</i>, <i>WordPlugin</i> (along with the standard
+plugins <i>GreenstoneXMLPlugin</i>, <i>ArchivesInfPlugin</i> and
+<i>DirectoryPlugin</i>). The <i>MediaWikiPlugin</i> handles the HTML pages
+downloaded from a MediaWiki website, while <i>ImagePlugin</i>,
+<i>ZipPlugin</i>, <i>PDFPlugin</i>, <i>PowerPointPlugin</i> and
+<i>WordPlugin</i> handle the image, zip, PDF, PowerPoint and Word
+files associated with the Greenstone Wiki.
 
 <p>
-To build a collection from a MediaWiki website, first download the wiki 
-files using the <i>MediaWiki</i> option on the <i>Download</i> panel of GLI. 
-This download type works in a similar way to a the <i>Web</i> download, but 
+To build a collection from a MediaWiki website, first download the wiki
+files using the <i>MediaWiki</i> option on the <i>Download</i> panel of GLI.
+This download type works in a similar way to a the <i>Web</i> download, but
 is specially designed for crawling MediaWiki websites.\n
 
 <p>Once the files are downloaded, copy them into a collection using the <i>Gather</i>, dragging them from the <i>Downloaded Files</i> folder in the Workspace tree on the left-hand side.
- 
+
 <p>
-In the <i>Document Plugins</i> section of the <i>Design</i> panel, 
-add <i>MediaWikiPlugin</i>. <i>MediaWikiPlugin</i> has several specific 
-options which control aspects of page presentation, such as whether or not 
-the table of contents, navigation toolbars and search box are shown on each 
-page. Configure these options based on how you want the pages to appear. You can see the options used by this collection in its 
+In the <i>Document Plugins</i> section of the <i>Design</i> panel,
+add <i>MediaWikiPlugin</i>. <i>MediaWikiPlugin</i> has several specific
+options which control aspects of page presentation, such as whether or not
+the table of contents, navigation toolbars and search box are shown on each
+page. Configure these options based on how you want the pages to appear. You can see the options used by this collection in its
 <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>collection
- configuration file</a>.
+configuration file</a>.
 "
 
@@ -85,5 +85,5 @@
 collectionmeta	collectionname [l=es] "MediaWiki collection"
 collectionmeta	collectionextra [l=es] "
-Esta colecciÃ³n de demostraciÃ³n estÃ¡ hecha en base al sitio Wiki de Greenstone. 
+Esta colecciÃ³n de demostraciÃ³n estÃ¡ hecha en base al sitio Wiki de Greenstone.
 Muestra la nueva caracterÃ­stica que permite la construcciÃ³n de una colecciÃ³n de Greenstone desde el sitio MediaWiki de Greenstone.
 
@@ -91,18 +91,18 @@
 
 <p>
-El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a>  contiene los plugins <i>MediaWikiPlugin</i>, 
-<i>ImagePlugin</i>, <i>ZipPlugin</i>, <i>PDFPlugin</i>, 
-<i>PowerPointPlugin</i>, <i>WordPlugin</i> (junto a los plugins estÃ¡ndar <i>GreenstoneXMLPlugin</i>, <i>ArchivesInfPlugin</i> y 
-<i>DirectoryPlugin</i>). El <i>MediaWikiPlugin</i> manipula pÃ¡ginas HTML descargadas desde el sitio MediaWiki, mientras que <i>ImagePlugin</i>, 
+El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a> contiene los plugins <i>MediaWikiPlugin</i>,
+<i>ImagePlugin</i>, <i>ZipPlugin</i>, <i>PDFPlugin</i>,
+<i>PowerPointPlugin</i>, <i>WordPlugin</i> (junto a los plugins estÃ¡ndar <i>GreenstoneXMLPlugin</i>, <i>ArchivesInfPlugin</i> y
+<i>DirectoryPlugin</i>). El <i>MediaWikiPlugin</i> manipula pÃ¡ginas HTML descargadas desde el sitio MediaWiki, mientras que <i>ImagePlugin</i>,
 <i>ZipPlugin</i>, <i>PDFPlugin</i>, <i>PowerPointPlugin</i> y
-<i>WordPlugin</i> manejan los archivos de imÃ¡genes, los zip, PDF, PowerPoint  y Word 
+<i>WordPlugin</i> manejan los archivos de imÃ¡genes, los zip, PDF, PowerPoint y Word
 asociados con la Wiki de Greenstone.
 
 <p>
-Para construir una colecciÃ³n desde el sitio MediaWiki, primero descargue los archivos del wiki usando la opciÃ³n <i>MediaWiki</i> en el panel <i>Descarga</i> del GLI. 
+Para construir una colecciÃ³n desde el sitio MediaWiki, primero descargue los archivos del wiki usando la opciÃ³n <i>MediaWiki</i> en el panel <i>Descarga</i> del GLI.
 Este tipo de descarga funciona de manera similar a la descarga <i>Web</i>, pero estÃ¡ diseÃ±ado especÃ­ficamente para incursionar sitios MediaWiki.\n
 
 <p>Una vez que los archivos fueron descargados, copielos en la colecciÃ³n usando el panel <i>Reunir</i>, arrastrÃ¡ndolos desde la carpeta <i>Archivos descargados</i> en el Ã¡rbol izquierdo del espacio de trabajo del GLI.
- 
+
 <p>
 En la secciÃ³n <i>Plugins del documento</i> del panel <i>DiseÃ±o</i>, agregue <i>MediaWikiPlugin</i>. <i>MediaWikiPlugin</i> tiene varias opciones especÃ­ficas que controlan los aspectos de presentaciÃ³n de la pÃ¡gina, tales como si se deben mostrar o no la tabla de contenidos, las barras de navegaciÃ³n y el recuadro de bÃºsqueda en cada pÃ¡gina. Configure estas opciones basÃ¡ndose en cÃ³mo quiere que aparezcan esas pÃ¡ginas. Puede ver las opciones usadas por esta colecciÃ³n en su <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a>.