Index: collections/documented-examples/trunk/wrdpdf-e/etc/collect.cfg
===================================================================
--- collections/documented-examples/trunk/wrdpdf-e/etc/collect.cfg	(revision 19377)
+++ collections/documented-examples/trunk/wrdpdf-e/etc/collect.cfg	(revision 19378)
@@ -2,12 +2,14 @@
 public		true
 
-plugin		WordPlugin
-plugin		RTFPlugin
-plugin		PDFPlugin
-plugin		PostScriptPlugin
-plugin		GreenstoneXMLPlugin
-plugin		MetadataXMLPlugin
-plugin		ArchivesInfPlugin
-plugin		DirectoryPlugin
+buildtype	mg
+
+plugin	WordPlugin
+plugin	RTFPlugin
+plugin	PDFPlugin
+plugin	PostScriptPlugin
+plugin	GreenstoneXMLPlugin
+plugin	MetadataXMLPlugin
+plugin	ArchivesInfPlugin
+plugin	DirectoryPlugin
 
 indexes		document:text
@@ -18,4 +20,13 @@
 format DocumentButtons ""
 
+format VList "<td valign=\"top\">[link][icon][/link]</td>
+<td valign=\"top\">[ex.srclink]{Or}{[ex.thumbicon],[ex.srcicon]}[ex./srclink]</td>
+<td valign=\"top\">[highlight]
+{Or}{[dc.Title],[exp.Title],[ex.Title],Untitled}
+[/highlight]{If}{[ex.Source],<br><i>([ex.Source])</i>}</td>"
+
+format HList "[link][highlight][ex.Title][/highlight][/link]"
+
+format DocumentText "[Text]"
 
 # -- English strings ----------------
@@ -24,5 +35,4 @@
 collectionmeta	.document:text [l=en] "documents"
 
-
 # -- French strings ----------------
 collectionmeta	collectionname [l=fr] "DÃ©monstration MSWord et PDF"
@@ -30,5 +40,4 @@
 collectionmeta	.document:text [l=fr] "documents"
 
-
 # -- Spanish strings ----------------
 collectionmeta	collectionname [l=es] "DemostraciÃ³n en MSWord y PDF"
@@ -36,5 +45,4 @@
 collectionmeta	.document:text [l=es] "documentos"
 
-
 # -- Russian strings ----------------
 collectionmeta	collectionname [l=ru] "ÐÐµÐŒÐŸÐœÑÑÑÐ°ÑÐžÑ MSWord Ðž PDF"
@@ -42,13 +50,12 @@
 collectionmeta	.document:text [l=ru] "ÐÐŸÐºÑÐŒÐµÐœÑÑ"
 
-
 # -- English text ----------------
 collectionmeta	collectionextra [l=en] "This collection demonstrates Greenstone\'s
-    ability to build collections from documents provided in different formats.
-    It contains a number of papers written by various members of the NZDL
-    project in PDF, MSWord, RTF, and Postscript formats.\n
-<p>
-The documents in this collection have been produced by members of the Department of Computer Science, University of Waikato.
-The University of Waikato holds copyright. They may be distributed freely, without any restrictions. 
+ability to build collections from documents provided in different formats.
+It contains a number of papers written by various members of the NZDL
+project in PDF, MSWord, RTF, and Postscript formats.\n
+<p>
+The documents in this collection have been produced by members of the Department of Computer Science, University of Waikato.
+The University of Waikato holds copyright. They may be distributed freely, without any restrictions.
 
 <h3>How the collection works</h3>\n
@@ -63,6 +70,6 @@
 <p>
 Greenstone contains third-party software that is used to convert
-Word, RTF, PDF and PostScript files into HTML.  The Greenstone team does not
-maintain these modules, although we do try to include the latest versions 
+Word, RTF, PDF and PostScript files into HTML. The Greenstone team does not
+maintain these modules, although we do try to include the latest versions
 with each
 Greenstone release. Bugs arise with unusual Word documents (e.g. from older
@@ -73,5 +80,5 @@
 can either remove the offending documents from your collection, or try using
 some of the advanced plugin options to process the documents in different ways.
-For more information, see the Enhanced PDf and Word tutorials on the  
+For more information, see the Enhanced PDf and Word tutorials on the
 <a href=\'http://wiki.greenstone.org/wiki/index.php/Tutorial_exercises\'>Greenstone wiki</a>.
 
@@ -79,5 +86,5 @@
 The <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>configuration
 file</a> includes a single index, based on document text, and one classifier,
-an <i>AZList</i> based on <i>Title</i> metadata, shown 
+an <i>AZList</i> based on <i>Title</i> metadata, shown
 <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL1\">here</a> (the alphabetic
 selector is suppressed automatically because the collection contains only a few
@@ -105,10 +112,10 @@
 
 <pre>
-format VList \"&lt;td&gt;[link][icon][/link]&lt;\/td&gt;\n
-              &lt;td&gt;[srclink][srcicon][/srclink]&lt;\/td&gt;\n
-              &lt;td&gt;[Title]&lt;br&gt;&lt;i&gt;([Source])&lt;/i&gt;&lt;/td&gt;\"\n
-</pre>
-"
-
+format VList \"
+&lt;td&gt;[link][icon][/link]&lt;\/td&gt;\n
+&lt;td&gt;[srclink][srcicon][/srclink]&lt;\/td&gt;\n
+&lt;td&gt;[Title]&lt;br&gt;&lt;i&gt;([Source])&lt;/i&gt;&lt;/td&gt;\"\n
+</pre>
+"
 
 # -- French text ----------------
@@ -116,5 +123,5 @@
 <p>
 The documents in this collection have been produced by members of the Department of Computer Science, University of Waikato.
-The University of Waikato holds copyright. They may be distributed freely, without any restrictions. 
+The University of Waikato holds copyright. They may be distributed freely, without any restrictions.
 
 <p>
@@ -124,19 +131,19 @@
 Le <a href=\"_httpcollection_/etc/collect.cfg\"
 target=collect.cfg>fichier de configuration</a> de cette collection contient quatre plugins, <i>WordPlugin</i>, <i>RTFPlugin</i>,
- <i>PDFPlugin</i> et <i>PostScriptPlugin</i> (ensemble avec les quatre plugins standards <i>GreenstoneXMLPlugin</i>, <i>MetadataXMLPlugin</i>, <i>ArchivesInfPlugin</i> et <i>DirectoryPlugin</i>). 
- Tous ces quatre modules extraient les mÃ©ta-donnÃ©es <i>Titre</i> et <i>Source</i> (c.-a-d. nom de fichier).
-
-<p>
-Greenstone contient des logiciels de tierces parties utilisÃ©s pour convertir des fichiers Word, RTF, PDF et PostScript en HTML. L'Ã©quipe Greenstone ne maintient pas ces modules bien que nous incluons les derniÃšres versions dans chaque Ã©dition de Greenstone. Des coquilles apparaissent avec les documents 
-inhabituels de Word (par exemple Ã  partir de vieux systÃšmes Macintosh) et des fois, le texte est mal extrait. Certains fichiers PDF n'ont pas du tout une forme lisible directement par les machines, mais sont reprÃ©sentÃ©s par une sÃ©quence de pages d'<i>images</i> Ã  partir desquelless le texte ne peut Ãªtre extrait que par une reconnaissance optique de caractÃšres (ROC), ce que 
+<i>PDFPlugin</i> et <i>PostScriptPlugin</i> (ensemble avec les quatre plugins standards <i>GreenstoneXMLPlugin</i>, <i>MetadataXMLPlugin</i>, <i>ArchivesInfPlugin</i> et <i>DirectoryPlugin</i>).
+Tous ces quatre modules extraient les mÃ©ta-donnÃ©es <i>Titre</i> et <i>Source</i> (c.-a-d. nom de fichier).
+
+<p>
+Greenstone contient des logiciels de tierces parties utilisÃ©s pour convertir des fichiers Word, RTF, PDF et PostScript en HTML. L\'Ã©quipe Greenstone ne maintient pas ces modules bien que nous incluons les derniÃšres versions dans chaque Ã©dition de Greenstone. Des coquilles apparaissent avec les documents
+inhabituels de Word (par exemple Ã  partir de vieux systÃšmes Macintosh) et des fois, le texte est mal extrait. Certains fichiers PDF n\'ont pas du tout une forme lisible directement par les machines, mais sont reprÃ©sentÃ©s par une sÃ©quence de pages d\'<i>images</i> Ã  partir desquelless le texte ne peut Ãªtre extrait que par une reconnaissance optique de caractÃšres (ROC), ce que
 Greenstone ne tente pas de faire. _text1_
 
 <p>
-Le <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>fichier de configuration</a> comprend un index unique, basÃ© sur un texte de document 
-et un classificateur, un <i>AZList</i> basÃ©e sur la mÃ©ta-donnÃ©e <i>Titre</i>, montrÃ©e <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL1\">ici</a> (le sÃ©lecteur 
-alphabÃ©tique est supprimÃ© automatiquement parce que la collection ne contient que peu de documents). Cependant aucune dÃ©claration de format n'est spÃ©cifiÃ©e. A l'absence d'information explicite, Greenstone fournit des dÃ©fauts sensÃ©s. Dans ce cas le format par dÃ©faut pour le classificateur donne ceci :
-<ul>
-<li>
-une icÃŽne pour la version HTML du document (le texte est en fait indexÃ© en grande partie de la mÃªme faÃ§on que le format d'archive Greenstone);
+Le <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>fichier de configuration</a> comprend un index unique, basÃ© sur un texte de document
+et un classificateur, un <i>AZList</i> basÃ©e sur la mÃ©ta-donnÃ©e <i>Titre</i>, montrÃ©e <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL1\">ici</a> (le sÃ©lecteur
+alphabÃ©tique est supprimÃ© automatiquement parce que la collection ne contient que peu de documents). Cependant aucune dÃ©claration de format n\'est spÃ©cifiÃ©e. A l\'absence d\'information explicite, Greenstone fournit des dÃ©fauts sensÃ©s. Dans ce cas le format par dÃ©faut pour le classificateur donne ceci :
+<ul>
+<li>
+une icÃŽne pour la version HTML du document (le texte est en fait indexÃ© en grande partie de la mÃªme faÃ§on que le format d\'archive Greenstone);
 <li>
 une icÃŽne pour la version originale du document (en cliquant dessus, on ouvre le document dans sa version originale);
@@ -148,14 +155,14 @@
 
 <p>
-Voici une dÃ©claration de format qui fait exactement la mÃªme chose de maniÃšre explicite. 
-Elle s'applique Ã  tous les <i>VList</i> et contrÃŽle donc aussi bien les rÃ©sultats de recherche que la navigation alphabÃ©tique par titre.
-
-<pre>
-format VList \"&lt;td&gt;[link][icon][/link]&lt;\/td&gt;\n
-              &lt;td&gt;[srclink][srcicon][/srclink]&lt;\/td&gt;\n
-              &lt;td&gt;[Title]&lt;br&gt;&lt;i&gt;([Source])&lt;/i&gt;&lt;/td&gt;\"\n
-</pre>
-"
-
+Voici une dÃ©claration de format qui fait exactement la mÃªme chose de maniÃšre explicite.
+Elle s\'applique Ã  tous les <i>VList</i> et contrÃŽle donc aussi bien les rÃ©sultats de recherche que la navigation alphabÃ©tique par titre.
+
+<pre>
+format VList \"
+&lt;td&gt;[link][icon][/link]&lt;\/td&gt;\n
+&lt;td&gt;[srclink][srcicon][/srclink]&lt;\/td&gt;\n
+&lt;td&gt;[Title]&lt;br&gt;&lt;i&gt;([Source])&lt;/i&gt;&lt;/td&gt;\"\n
+</pre>
+"
 
 # -- Spanish text ----------------
@@ -163,5 +170,5 @@
 <p>
 The documents in this collection have been produced by members of the Department of Computer Science, University of Waikato.
-The University of Waikato holds copyright. They may be distributed freely, without any restrictions. 
+The University of Waikato holds copyright. They may be distributed freely, without any restrictions.
 
 <h3>CÃ³mo trabaja esta colecciÃ³n</h3>
@@ -176,29 +183,29 @@
 <p>
 <ul>
-<li> un icono para la versiÃ³n HTML del documento (el texto que se estÃ¡ indexando, bÃ¡sicamente el mismo que el formato del Archivo Greenstone); 
-
-
-<li> un icono para la versiÃ³n original del documento (al hacer click en Ã©l abre el documento en su forma original); 
-
-
-<li> el metadato de <i>TÃ­tulo</i> extraÃ­do del documento; 
-
-
-<li> el metadato de <i>Fuente</i> (es decir, el nombre de archivo) extraÃ­do del documento. 
-</ul>
-<p>
-He aquÃ­ un enunciado de formato que logra exactamente el mismo efecto de manera explÃ­cita. Se aplica a todas las <i>Vlists</i> y por lo tanto controla tanto la lista de resultados de la bÃºsqueda como el explorador de tÃ­tulos por orden alfabÃ©tico. 
-
-<pre>
-format VList \"&lt;td&gt;[link][icon][/link]&lt;\/td&gt;\n
-              &lt;td&gt;[srclink][srcicon][/srclink]&lt;\/td&gt;\n
-              &lt;td&gt;[Title]&lt;br&gt;&lt;i&gt;([Source])&lt;/i&gt;&lt;/td&gt;\"\n
-</pre>
-"
-
+<li> un icono para la versiÃ³n HTML del documento (el texto que se estÃ¡ indexando, bÃ¡sicamente el mismo que el formato del Archivo Greenstone);
+
+
+<li> un icono para la versiÃ³n original del documento (al hacer click en Ã©l abre el documento en su forma original);
+
+
+<li> el metadato de <i>TÃ­tulo</i> extraÃ­do del documento;
+
+
+<li> el metadato de <i>Fuente</i> (es decir, el nombre de archivo) extraÃ­do del documento.
+</ul>
+<p>
+He aquÃ­ un enunciado de formato que logra exactamente el mismo efecto de manera explÃ­cita. Se aplica a todas las <i>Vlists</i> y por lo tanto controla tanto la lista de resultados de la bÃºsqueda como el explorador de tÃ­tulos por orden alfabÃ©tico.
+
+<pre>
+format VList \"
+&lt;td&gt;[link][icon][/link]&lt;\/td&gt;\n
+&lt;td&gt;[srclink][srcicon][/srclink]&lt;\/td&gt;\n
+&lt;td&gt;[Title]&lt;br&gt;&lt;i&gt;([Source])&lt;/i&gt;&lt;/td&gt;\"\n
+</pre>
+"
 
 # -- Russian text ----------------
 collectionmeta	collectionextra [l=ru] "
-Ð­ÑÐ° ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ ÐŽÐµÐŒÐŸÐœÑÑÑÐžÑÑÐµÑ ÑÐ¿ÐŸÑÐŸÐ±ÐœÐŸÑÑÑ Greenstone  Ðº Ð¿ÐŸÑÑÑÐŸÐµÐœÐžÑ  ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž ÐžÐ· ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ², Ð²ÑÐ¿ÐŸÐ»ÐœÐµÐœÐœÑÑ
+Ð­ÑÐ° ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ ÐŽÐµÐŒÐŸÐœÑÑÑÐžÑÑÐµÑ ÑÐ¿ÐŸÑÐŸÐ±ÐœÐŸÑÑÑ Greenstone Ðº Ð¿ÐŸÑÑÑÐŸÐµÐœÐžÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž ÐžÐ· ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ², Ð²ÑÐ¿ÐŸÐ»ÐœÐµÐœÐœÑÑ
  Ð² ÑÐ°Ð·Ð»ÐžÑÐœÑÑ
  ÑÐŸÑÐŒÐ°ÑÐ°Ñ
@@ -208,5 +215,5 @@
 <p>
 The documents in this collection have been produced by members of the Department of Computer Science, University of Waikato.
-The University of Waikato holds copyright. They may be distributed freely, without any restrictions. 
+The University of Waikato holds copyright. They may be distributed freely, without any restrictions.
 
 
@@ -221,5 +228,5 @@
  ÑÐ°ÐŒÑÐµ Ð¿ÐŸÑÐ»ÐµÐŽÐœÐžÐµ Ð²ÐµÑÑÐžÐž Ð² ÐºÐ°Ð¶ÐŽÑÐ¹ Ð²ÑÐ¿ÑÑÐº Greenstone. ÐÑÐžÐ±ÐºÐž Ð²ÐŸÐ·ÐœÐžÐºÐ°ÑÑ Ñ ÐœÐµÐŸÐ±ÑÑÐœÑÑ
  ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ² Word (ÐœÐ°Ð¿ÑÐžÐŒÐµÑ, ÐŸÑ ÑÑÐ°ÑÑÑ
- ÑÐžÑÑÐµÐŒ ÐÐ°ÐºÐžÐœÑÐŸÑÐ°), Ðž ÐžÐœÐŸÐ³ÐŽÐ° ÑÐµÐºÑÑ ÑÐ¶Ð°ÑÐœÐŸ ÐžÐ·Ð²Ð»ÐµÐºÐ°ÐµÑÑÑ. ÐÐµÐºÐŸÑÐŸÑÑÐµ PDF ÑÐ°Ð¹Ð»Ñ ÐœÐµ ÑÐŸÐ·ÐŽÐ°ÑÑ ÐœÐžÐºÐ°ÐºÐŸÐ³ÐŸ ÐŒÐ°ÑÐžÐœÐœÐŸÑÐžÑÐ°ÐµÐŒÐŸÐ³ÐŸ ÑÐµÐºÑÑÐ° Ð²ÐŸÐŸÐ±ÑÐµ, Ð° Ð²ÐŒÐµÑÑÐŸ ÑÑÐŸÐ³ÐŸ Ð²ÐºÐ»ÑÑÐ°ÑÑ  Ð¿ÐŸÑÐ»ÐµÐŽÐŸÐ²Ð°ÑÐµÐ»ÑÐœÐŸÑÑÑ <i>ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐ¹</i> ÑÑÑÐ°ÐœÐžÑÑ, ÐžÐ· ÐºÐŸÑÐŸÑÑÑ
+ ÑÐžÑÑÐµÐŒ ÐÐ°ÐºÐžÐœÑÐŸÑÐ°), Ðž ÐžÐœÐŸÐ³ÐŽÐ° ÑÐµÐºÑÑ ÑÐ¶Ð°ÑÐœÐŸ ÐžÐ·Ð²Ð»ÐµÐºÐ°ÐµÑÑÑ. ÐÐµÐºÐŸÑÐŸÑÑÐµ PDF ÑÐ°Ð¹Ð»Ñ ÐœÐµ ÑÐŸÐ·ÐŽÐ°ÑÑ ÐœÐžÐºÐ°ÐºÐŸÐ³ÐŸ ÐŒÐ°ÑÐžÐœÐœÐŸÑÐžÑÐ°ÐµÐŒÐŸÐ³ÐŸ ÑÐµÐºÑÑÐ° Ð²ÐŸÐŸÐ±ÑÐµ, Ð° Ð²ÐŒÐµÑÑÐŸ ÑÑÐŸÐ³ÐŸ Ð²ÐºÐ»ÑÑÐ°ÑÑ Ð¿ÐŸÑÐ»ÐµÐŽÐŸÐ²Ð°ÑÐµÐ»ÑÐœÐŸÑÑÑ <i>ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐ¹</i> ÑÑÑÐ°ÐœÐžÑÑ, ÐžÐ· ÐºÐŸÑÐŸÑÑÑ
  ÑÐµÐºÑÑ ÐŒÐŸÐ¶ÐµÑ Ð±ÑÑÑ ÐžÐ·Ð²Ð»ÐµÑÐµÐœ ÑÐŸÐ»ÑÐºÐŸ Ð¿ÑÑÐµÐŒ ÐŸÐ¿ÑÐžÑÐµÑÐºÐŸÐ³ÐŸ ÑÐ°ÑÐ¿ÐŸÐ·ÐœÐ°Ð²Ð°ÐœÐžÑ (OCR), ÑÑÐŸ Ð² Greenstone ÐœÐµ Ð¿ÑÐµÐŽÑÑÐŒÐŸÑÑÐµÐœÐŸ. _text1_
 <p>
@@ -228,5 +235,5 @@
 <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>ÐÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÑÐ¹ ÑÐ°Ð¹Ð»</a> Ð²ÐºÐ»ÑÑÐ°ÐµÑ ÐµÐŽÐžÐœÑÑÐ²ÐµÐœÐœÑÐ¹ ÐžÐœÐŽÐµÐºÑ, ÐŸÑÐœÐŸÐ²Ð°ÐœÐœÑÐ¹ ÐœÐ° ÑÐµÐºÑÑÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° Ðž ÐŸÐŽÐžÐœ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑ <i>AZList</i>, ÐŸÑÐœÐŸÐ²Ð°ÐœÐœÑÐ¹ ÐœÐ° ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
  <i>ÐÐ°Ð·Ð²Ð°ÐœÐžÑ</i>, Ð¿ÐŸÐºÐ°Ð·Ð°ÐœÐœÑÐ¹ <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL1\">Ð·ÐŽÐµÑÑ</a> (Ð°Ð»ÑÐ°Ð²ÐžÑÐœÑÐ¹ ÐŸÑÐ±ÐŸÑÑÐžÐº Ð°Ð²ÑÐŸÐŒÐ°ÑÐžÑÐµÑÐºÐž ÐŸÑÐºÐ»ÑÑÐµÐœ, Ð¿ÐŸÑÐºÐŸÐ»ÑÐºÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ ÑÐŸÐŽÐµÑÐ¶ÐžÑ ÑÐŸÐ»ÑÐºÐŸ ÐœÐµÑÐºÐŸÐ»ÑÐºÐŸ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ²). ÐÐŽÐœÐ°ÐºÐŸ ÐœÐžÐºÐ°ÐºÐžÑ
- ÐŸÐ¿ÐµÑÐ°ÑÐŸÑÐŸÐ² ÑÐŸÑÐŒÐ°ÑÐ° ÐœÐµ ÐŸÐ¿ÑÐµÐŽÐµÐ»ÐµÐœÐŸ. ÐÑÐž  ÐŸÑÑÑÑÑÑÐ²ÐžÐž ÑÐ²ÐœÐŸÐ¹ ÐžÐœÑÐŸÑÐŒÐ°ÑÐžÐž Greenstone  Ð¿ÐŸÐŽÐŽÐµÑÐ¶ÐžÐ²Ð°ÐµÑ Ð¿ÐŸ ÑÐŒÐŸÐ»ÑÐ°ÐœÐžÑ ÐœÐ°ÐžÐ±ÐŸÐ»ÐµÐµ ÐŸÑÑÑÐžÐŒÑÐµ. Ð ÑÑÐŸÐŒ ÑÐ»ÑÑÐ°Ðµ Ð¿ÐŸ ÑÐŒÐŸÐ»ÑÐ°ÐœÐžÑ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÑÑÑÑ ÑÐ»ÐµÐŽÑÑÑÐžÐµ  ÑÐŸÑÐŒÐ°ÑÑ ÐŽÐ»Ñ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÐ°: 
+ ÐŸÐ¿ÐµÑÐ°ÑÐŸÑÐŸÐ² ÑÐŸÑÐŒÐ°ÑÐ° ÐœÐµ ÐŸÐ¿ÑÐµÐŽÐµÐ»ÐµÐœÐŸ. ÐÑÐž ÐŸÑÑÑÑÑÑÐ²ÐžÐž ÑÐ²ÐœÐŸÐ¹ ÐžÐœÑÐŸÑÐŒÐ°ÑÐžÐž Greenstone Ð¿ÐŸÐŽÐŽÐµÑÐ¶ÐžÐ²Ð°ÐµÑ Ð¿ÐŸ ÑÐŒÐŸÐ»ÑÐ°ÐœÐžÑ ÐœÐ°ÐžÐ±ÐŸÐ»ÐµÐµ ÐŸÑÑÑÐžÐŒÑÐµ. Ð ÑÑÐŸÐŒ ÑÐ»ÑÑÐ°Ðµ Ð¿ÐŸ ÑÐŒÐŸÐ»ÑÐ°ÐœÐžÑ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÑÑÑÑ ÑÐ»ÐµÐŽÑÑÑÐžÐµ ÑÐŸÑÐŒÐ°ÑÑ ÐŽÐ»Ñ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÐ°:
 <p>
 
@@ -249,7 +256,8 @@
 
 <pre>
-format VList \"&lt;td&gt;[link][icon][/link]&lt;\/td&gt;\n
-              &lt;td&gt;[srclink][srcicon][/srclink]&lt;\/td&gt;\n
-              &lt;td&gt;[Title]&lt;br&gt;&lt;i&gt;([Source])&lt;/i&gt;&lt;/td&gt;\"\n
-</pre>
-"
+format VList \"
+&lt;td&gt;[link][icon][/link]&lt;\/td&gt;\n
+&lt;td&gt;[srclink][srcicon][/srclink]&lt;\/td&gt;\n
+&lt;td&gt;[Title]&lt;br&gt;&lt;i&gt;([Source])&lt;/i&gt;&lt;/td&gt;\"\n
+</pre>
+"