Index: /collections/documented-examples/trunk/dls-e/import/ec158e/ec158e.htm
===================================================================
--- /collections/documented-examples/trunk/dls-e/import/ec158e/ec158e.htm	(revision 19381)
+++ /collections/documented-examples/trunk/dls-e/import/ec158e/ec158e.htm	(revision 19382)
@@ -3,5 +3,5 @@
 <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=windows-1252">
 <META NAME="Generator" CONTENT="Microsoft Word 97">
-<TITLE>&lt;&lt;TOC1&gt;&gt; The Courier N°158-July- August 1996 Dossier Communication and the media - Country report Cape Verde</TITLE>
+<TITLE>&lt;&lt;TOC1&gt;&gt; The Courier - N°158 - July - August 1996 Dossier Communication and the media - Country report Cape Verde</TITLE>
 </HEAD>
 <BODY>
@@ -11,5 +11,5 @@
 <Section>
   <Description>
-    <Metadata name="Title">The Courier N°158-July- August 1996 Dossier Communication and the media - Country report Cape Verde</Metadata>
+    <Metadata name="Title">The Courier - N°158 - July - August 1996 Dossier Communication and the media - Country report Cape Verde</Metadata>
   </Description>
 -->
Index: /collections/documented-examples/trunk/dls-e/import/ec160e/ec160e.htm
===================================================================
--- /collections/documented-examples/trunk/dls-e/import/ec160e/ec160e.htm	(revision 19381)
+++ /collections/documented-examples/trunk/dls-e/import/ec160e/ec160e.htm	(revision 19382)
@@ -2767,4 +2767,6 @@
 <P ALIGN="JUSTIFY">The Commission has recently decided to allocate the following aid: </P>
 <P ALIGN="JUSTIFY"></P>
+<P ALIGN="JUSTIFY"><center><img src="p90.png"></center><br>
+Table</P>
 
 <!--
Index: /collections/documented-examples/trunk/dls-e/import/fb34fe/fb34fe.htm
===================================================================
--- /collections/documented-examples/trunk/dls-e/import/fb34fe/fb34fe.htm	(revision 19381)
+++ /collections/documented-examples/trunk/dls-e/import/fb34fe/fb34fe.htm	(revision 19382)
@@ -662,5 +662,6 @@
 <P ALIGN="JUSTIFY">243. So, with bigger and better snails and with more pens or bigger pens, you will be able to raise many more snails to eat or to sell and you arid your family will be able to live better.</P>
 <P ALIGN="JUSTIFY"></P>
-
+<P ALIGN="JUSTIFY"><center><img src="f34p111b.png"></center><br>
+ Your family will be able to live better</P>
 <!--
 </Section>
Index: /collections/documented-examples/trunk/dls-e/import/m0007e/m0007e.htm
===================================================================
--- /collections/documented-examples/trunk/dls-e/import/m0007e/m0007e.htm	(revision 19381)
+++ /collections/documented-examples/trunk/dls-e/import/m0007e/m0007e.htm	(revision 19382)
@@ -5494,5 +5494,5 @@
 <P ALIGN="JUSTIFY">* A shallow wide bowl should be used</P>
 <P ALIGN="JUSTIFY"></P>
-<P ALIGN="JUSTIFY"><center><img src="p204b.png"></center><br>
+<P ALIGN="JUSTIFY"><center><img src="p205.png"></center><br>
  Outdoor Bird Attraction</P>
 <P ALIGN="JUSTIFY"></P>
Index: /collections/documented-examples/trunk/dls-e/import/r0039e/r0039e.htm
===================================================================
--- /collections/documented-examples/trunk/dls-e/import/r0039e/r0039e.htm	(revision 19381)
+++ /collections/documented-examples/trunk/dls-e/import/r0039e/r0039e.htm	(revision 19382)
@@ -2484,5 +2484,5 @@
  The sides of a compost pile should be slanted toward the center and the top should be slightly hollowed. This catches and holds water to speed decay.</P>
 <P ALIGN="JUSTIFY"></P>
-<P ALIGN="JUSTIFY"><center><img src="p070.jpg"></center><br>
+<P ALIGN="JUSTIFY"><center><img src="p071.jpg"></center><br>
  A farm family in Kenya made this compost heap after attending a demonstration by the home extension worker.</P>
 <P ALIGN="JUSTIFY"></P>
Index: /collections/documented-examples/trunk/dls-e/import/t0021e/t0021e.htm
===================================================================
--- /collections/documented-examples/trunk/dls-e/import/t0021e/t0021e.htm	(revision 19381)
+++ /collections/documented-examples/trunk/dls-e/import/t0021e/t0021e.htm	(revision 19382)
@@ -3780,6 +3780,8 @@
 <FONT FACE="Arial" SIZE=2><P ALIGN="JUSTIFY">* Approximately five minutes before the end of the time allotted for this step, circulate among the groups, remind them of the time remaining and ask that they post their observations and suggestions when they are finished. </P>
 <P ALIGN="JUSTIFY">Step 3. (10 minutes)</P>
-<P ALIGN="JUSTIFY">Have the group reconvene and occupy the chairs the outer semi-circle. Explain the "Fishbowl" activity.</P>
-<P ALIGN="JUSTIFY"></P></FONT>
+<P ALIGN="JUSTIFY">Have the group reconvene and occupy the chairs in the outer semi-circle. Explain the "Fishbowl" activity.</P>
+<P ALIGN="JUSTIFY"></P></FONT>
+<P ALIGN="JUSTIFY"><center><img src="p80.png"></center></P>
+
 <TABLE BORDER CELLSPACING=2 CELLPADDING=7>
 <TR><TD>