Index: collections/documented-examples/trunk/dls-e/etc/collect.cfg
===================================================================
--- collections/documented-examples/trunk/dls-e/etc/collect.cfg	(revision 19383)
+++ collections/documented-examples/trunk/dls-e/etc/collect.cfg	(revision 19384)
@@ -249,18 +249,19 @@
 
 <p><b>Hierarchy files</b>. Hierarchy files contain a
-succession of lines each of which has three items. **_text12_ starts here. **The first item is a text string which is matched against the metadata that occurs in the <i>metadata.xml</i> file described above. The second item is a number that defines the position in the hierarchy. The third item is a text string that describes the node of the hierarchy on the web pages that Greenstone generates.
+succession of lines each of which has three items. The first item is a text string which is matched against the metadata that occurs in the <i>metadata.xml</i> file described above. The second item is a number that defines the position in the hierarchy. The third item is a text string that describes the node of the hierarchy on the web pages that Greenstone generates.
 <p>
 For example, the following shows three lines from the subject hierarchy file <a href=\"_httpcollection_/etc/dls.Subject.txt\" target=text>dls.Subject.txt</a>.
 
 <pre>
-\"Animal Husbandry and Animal Product Processing\" 7 \"Animal Husbandry and Animal Product Processing\"
-\"Animal Husbandry and Animal Product Processing|Cattle\" 7.1 \"Cattle\"
-\"Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)\" 7.2 \"Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)\"
-</pre>
-
+\"Animal Husbandry and Animal Product Processing\" 7 \"Animal Husbandry and Animal Product Processing\" \n
+\"Animal Husbandry and Animal Product Processing|Cattle\" 7.1 \"Cattle\" \n
+\"Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, \n      silkworms, reptiles, frogs, snails, game, etc.)\" 7.2 \"Other animals (micro-livestock, little known animals, \n      silkworms, reptiles, frogs, snails, game, etc.)\" \n
+</pre>
+
+<p>
 These three lines define one top level bookshelf (at position 7), titled \"Animal Husbandry and Animal Product Processing\", with two bookshelves underneath it, titled \"Cattle\" and \"Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)\" respectively.
-
+<p>
 In this case, the first strings (and therefore the entries in metadata.xml files) contain the entire hierarchy values. Levels in the hierarchy are separated by \"|\". They could be used directly by a <i>Hierarchy</i> classifier without the use of the hierarchy file. However, then the entries would be ordered alphabetically, not in the special order defined by the file.
-
+<p>
 The <a href=\"_httpcollection_/etc/dls.AZList.txt\" target=text>dls.AZList.txt</a> hierarchy file used by the titles classifier contains a similar structure. Ordinarily, a titles browser would use a <i>List</i> (or <i>AZList</i>) classifier. In this case, we want to predefine the A-Z groupings, and include a separate entry for periodicals, as can be seen <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL2.7\">here</a>.
 "
@@ -373,5 +374,21 @@
 <b>Fichiers d\'hiÃ©rarchie</b>. _text12_
 
-
+<p>
+_text13_
+
+<pre>
+\"Animal Husbandry and Animal Product Processing\" 7 \"Animal Husbandry and Animal Product Processing\" \n
+\"Animal Husbandry and Animal Product Processing|Cattle\" 7.1 \"Cattle\" \n
+\"Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, \n      silkworms, reptiles, frogs, snails, game, etc.)\" 7.2 \"Other animals (micro-livestock, little known animals, \n      silkworms, reptiles, frogs, snails, game, etc.)\" \n
+</pre>
+
+<p>
+_text14_
+
+<p>
+_text15_
+
+<p>
+_text16_
 "
 
@@ -475,5 +492,24 @@
 <p>
 
-<b>Archivos de jerarquÃ­a</b>.
+<b>Archivos de jerarquÃ­a</b>. _text12_
+
+<p>
+_text13_
+
+<pre>
+\"Animal Husbandry and Animal Product Processing\" 7 \"Animal Husbandry and Animal Product Processing\" \n
+\"Animal Husbandry and Animal Product Processing|Cattle\" 7.1 \"Cattle\" \n
+\"Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, \n      silkworms, reptiles, frogs, snails, game, etc.)\" 7.2 \"Other animals (micro-livestock, little known animals, \n      silkworms, reptiles, frogs, snails, game, etc.)\" \n
+</pre>
+
+<p>
+_text14_
+
+<p>
+_text15_
+
+<p>
+_text16_
+
 "
 
@@ -625,3 +661,21 @@
 ÐžÑÐµÑÐºÐžÐµ ÑÐ°Ð¹Ð»Ñ</b>. _text12_
 
+<p>
+_text13_
+
+<pre>
+\"Animal Husbandry and Animal Product Processing\" 7 \"Animal Husbandry and Animal Product Processing\" \n
+\"Animal Husbandry and Animal Product Processing|Cattle\" 7.1 \"Cattle\" \n
+\"Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, \n      silkworms, reptiles, frogs, snails, game, etc.)\" 7.2 \"Other animals (micro-livestock, little known animals, \n      silkworms, reptiles, frogs, snails, game, etc.)\" \n
+</pre>
+
+<p>
+_text14_
+
+<p>
+_text15_
+
+<p>
+_text16_
+
 "