Index: collections/documented-examples/trunk/oai-e/etc/collect.cfg
===================================================================
--- collections/documented-examples/trunk/oai-e/etc/collect.cfg	(revision 19385)
+++ collections/documented-examples/trunk/oai-e/etc/collect.cfg	(revision 19393)
@@ -166,5 +166,5 @@
 <i>dc.Publisher</i>,
 and <i>dc.Rights</i> metadata.
-<a href=_gwcgi_?l=_cgiargl_&a=d&c=oai-e&cl=search&d=_sampleoid_>This</a>
+<a href=_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=search&d=_sampleoid_>This</a>
 is the result.\n
 
@@ -197,5 +197,5 @@
 The <i>VList</i> format specification shows the image thumbnail, hyperlinked to
 the associated document, followed by <i>dc.Description</i> metadata; the result
-can be seen <a href=\"_gwcgi_?l=_cgiargl_&c=oai-e&a=d&cl=CL2\">here</a>. The <i>Vlists</i>
+can be seen <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL2\">here</a>. The <i>Vlists</i>
 for the classifiers use <i>numleafdocs</i> to switch between an icon
 representing several documents (which will appear as a bookshelf) and the
@@ -205,8 +205,8 @@
 
 <p>
-From version 2.52, Greenstone comes with a built-in OAI data provider. 
-This runs as a CGI program called \"oaiserver\", and is installed 
+Greenstone comes with a built-in OAI data provider. 
+This runs as a CGI program called \"oaiserver.cgi\", and is installed 
 in the Greenstone <i>cgi-bin</i> directory. It can be accessed via the same 
-URL as the Greenstone library (replacing \"library\" with \"oaiserver\"). If you 
+URL as the Greenstone library (replacing \"library.cgi\" with \"oaiserver.cgi\"). If you 
 are using the Windows local library server, you must install a 
 web server (such as Apache) to run the OAI server.\n
@@ -222,8 +222,7 @@
 
 <p>
-Greenstone's OAI server only supports Dublin Core 
-metadata at present. For collections that use other metadata sets, 
+Greenstone's OAI server currently supports Dublin Core, qualified Dublin Core and rfc1807 metadata sets. The <i>oaimetadata</i> line specifies which sets should be used. For collections that use other metadata sets, 
 metadata mapping rules should be provided to map the existing metadata 
-to Dublin Core. See the <i>oai.cfg</i> file for details.\n
+to the sets in use. See the <i>oai.cfg</i> file for details.\n
 "
 
@@ -256,5 +255,5 @@
 <p>
 Le <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>fichier de configuration de la collection</a> a un index \"full-text\" unique contenant la mÃ©ta-donnÃ©e <i>dc.Description</i>. Quand un document est affichÃ©, la dÃ©claration de format <i>DocumentHeading</i> rÃ©vÃšle son <i>dc.Subject</i> (Sujet). Elle est ensuite suivie de la dÃ©claration <i>DocumentText</i> avec <i>screenicon</i> produit par <i>ImagePlugin</i> et qui donne une version rÃ©solution d'Ã©cran de l'image; elle est liÃ©e Ã  la mÃ©ta-donnÃ©e <i>dc.OrigURL</i>, c'est Ã  dire la version originale de 
-l'image sur le site OAI distant. Elle est suivie par <i>dc.Description</i> de l'image, aussi avec un lien; le type et la taille de l'image, gÃ©nÃ©rÃ©s Ã©galement comme mÃ©ta-donnÃ©es par <i>ImagePlugin</i>; et enfin les mÃ©ta-donnÃ©es <i>dc.Subject</i>, <i>dc.Publisher</i> et <i>dc.Rights</i>. <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=oai-e&cl=search&d=_sampleoid_\">Voici</a> le rÃ©sultat. 
+l'image sur le site OAI distant. Elle est suivie par <i>dc.Description</i> de l'image, aussi avec un lien; le type et la taille de l'image, gÃ©nÃ©rÃ©s Ã©galement comme mÃ©ta-donnÃ©es par <i>ImagePlugin</i>; et enfin les mÃ©ta-donnÃ©es <i>dc.Subject</i>, <i>dc.Publisher</i> et <i>dc.Rights</i>. <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=search&d=_sampleoid_\">Voici</a> le rÃ©sultat. 
 
 <p>
@@ -265,11 +264,11 @@
 
 <p>
-La spÃ©cification du format <i>Vlist</i> montre l'onglet de l'image, liÃ© (hyperlien) au document associÃ©, suivi de la mÃ©ta-donnÃ©e <i>dc.Description</i>; le rÃ©sultat peut Ãªtre vu <a href=\"_gwcgi_?l=_cgiargl_&c=oai-e&a=d&cl=CL2\">ici</a>. <i>Vlist</i> pour les classificateurs utilise <i>numleafdocs</i> pour commuter d'une icÃŽne reprÃ©sentant plusieurs documents (ce qui apparaÃ®tra dans le rayon de livres) Ã  l'onglet lui-mÃªme, si une seule image est prÃ©sente.
+La spÃ©cification du format <i>Vlist</i> montre l'onglet de l'image, liÃ© (hyperlien) au document associÃ©, suivi de la mÃ©ta-donnÃ©e <i>dc.Description</i>; le rÃ©sultat peut Ãªtre vu <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL2\">ici</a>. <i>Vlist</i> pour les classificateurs utilise <i>numleafdocs</i> pour commuter d'une icÃŽne reprÃ©sentant plusieurs documents (ce qui apparaÃ®tra dans le rayon de livres) Ã  l'onglet lui-mÃªme, si une seule image est prÃ©sente.
 
 <h3>Le serveur OAI de Greenstone</h3>
 
 <p>
-Depuis la version 2.52, Greenstone inclus un fournisseur de donnÃ© de type OAI.
-Il fonctionne par le biais d'un programme CGI nommÃ© \"oaiserver\" lequel se trouve dans le fichier <i>cgi-bin</i> de Greenstone. On peut y accÃ©der au moyen de la mÃªme URL que la librairie de Greenstone (en remplacant \"library\" par \"oaiserver\"). Si vous utilisez le serveur local de librairie de windows, vous devez installer un serveur internet (tel qu'Apache) pour pouvoir utiliser ce serveur OAI.
+Greenstone inclus un fournisseur de donnÃ© de type OAI.
+Il fonctionne par le biais d'un programme CGI nommÃ© \"oaiserver.cgi\" lequel se trouve dans le fichier <i>cgi-bin</i> de Greenstone. On peut y accÃ©der au moyen de la mÃªme URL que la librairie de Greenstone (en remplacant \"library.cgi\" par \"oaiserver.cgi\"). Si vous utilisez le serveur local de librairie de windows, vous devez installer un serveur internet (tel qu'Apache) pour pouvoir utiliser ce serveur OAI.
 
 <p>
@@ -279,5 +278,5 @@
 
 <p>
-La serveur OAI de Greenstone ne peut, pour l'instant, utiliser que des mÃ©tadonnÃ©es du jeu Dublin Core. Pour des collections utilisant d'autres types de mÃ©tadonnÃ©es, des rÃšgles d'expolitation doivent Ãªtre fournies afin de les rendres compatibles aux standard Dublin core. Voyez le fichier <i>oai.cfg</i> pour plus de dÃ©tails.
+_text3_
 "
 
@@ -311,5 +310,5 @@
 
 <p>
-El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a> tiene un solo Ã­ndice de texto completo, el cual contiene el metadato <i>dc.DescripciÃ³n</i>. Cuando un documento se despliega en pantalla el enunciado de formato <i>DocumentHeading</i> muestra su <i>dc.Asunto</i>. A continuaciÃ³n le sigue el enunciado <i>DocumentText</i> con <i>screenicon</i>, el cual es producido por <i>ImagePlugin</i> y proporciona una versiÃ³n en pantalla de la imagen. Ãsta cuenta con un hipervÃ­nculo al metadato <i>dc.OrigURL</i>, es decir, a la versiÃ³n original de la imagen en el sitio OAI remoto. Le sigue la <i>dc.DescripciÃ³n</i> de la imagen, tambiÃ©n con un hipervÃ­nculo, el tamaÃ±o y tipo de la imagen, nuevamente generados como metadatos por <i>ImagePlugin</i>, y finalmente los metadatos de <i>dc.Asunto</i>, <i>dc.Editorial</i> y <i>dc.Derechos de Autor</i>. <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=oai-e&cl=search&d=_sampleoid_\">Ãste</a> es el resultado.
+El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a> tiene un solo Ã­ndice de texto completo, el cual contiene el metadato <i>dc.DescripciÃ³n</i>. Cuando un documento se despliega en pantalla el enunciado de formato <i>DocumentHeading</i> muestra su <i>dc.Asunto</i>. A continuaciÃ³n le sigue el enunciado <i>DocumentText</i> con <i>screenicon</i>, el cual es producido por <i>ImagePlugin</i> y proporciona una versiÃ³n en pantalla de la imagen. Ãsta cuenta con un hipervÃ­nculo al metadato <i>dc.OrigURL</i>, es decir, a la versiÃ³n original de la imagen en el sitio OAI remoto. Le sigue la <i>dc.DescripciÃ³n</i> de la imagen, tambiÃ©n con un hipervÃ­nculo, el tamaÃ±o y tipo de la imagen, nuevamente generados como metadatos por <i>ImagePlugin</i>, y finalmente los metadatos de <i>dc.Asunto</i>, <i>dc.Editorial</i> y <i>dc.Derechos de Autor</i>. <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=_cgiargc_&cl=search&d=_sampleoid_\">Ãste</a> es el resultado.
 <p>
 
@@ -320,13 +319,13 @@
 <p>
 
-La especificaciÃ³n de formato VList muestra la reducciÃ³n de cuadro de la imagen con hipervÃ­nculos al documento asociado, seguida por el metadato <i>dc.DescripciÃ³n</i>. El resultado se puede ver <a href=\"_gwcgi_?l=_cgiargl_&c=oai-e&a=d&cl=CL2\">aquÃ­</a>. Las <i>Vlists</i> para los clasificadores utilizan <i>numleafdocs</i> para cambiar entre un icono que representa varios documentos (el cual aparecerÃ¡ como un estante) y la reducciÃ³n de cuadro, si sÃ³lo hay una imagen. 
+La especificaciÃ³n de formato VList muestra la reducciÃ³n de cuadro de la imagen con hipervÃ­nculos al documento asociado, seguida por el metadato <i>dc.DescripciÃ³n</i>. El resultado se puede ver <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL2\">aquÃ­</a>. Las <i>Vlists</i> para los clasificadores utilizan <i>numleafdocs</i> para cambiar entre un icono que representa varios documentos (el cual aparecerÃ¡ como un estante) y la reducciÃ³n de cuadro, si sÃ³lo hay una imagen. 
 
 <h3>El servidor OAI de Greenstone</h3>
 
 <p>
-Desde la versiÃ³n 2.52, Greenstone incorpora un servidor/proveedor de datos OAI.
-Se ejecuta mediante un programa CGI llamado \"oaiserver\", y se encuentra
+Greenstone incorpora un servidor/proveedor de datos OAI.
+Se ejecuta mediante un programa CGI llamado \"oaiserver.cgi\", y se encuentra
 en el directorio <i>cgi-bin</i> de Greenstone. Se accede a Ã©l utilizando el mismo 
-URL que para la biblioteca Greentone (reemplazando \"library\" por \"oaiserver\").
+URL que para la biblioteca Greentone (reemplazando \"library.cgi\" por \"oaiserver.cgi\").
 Si usted estÃ¡ usando el servidor de biblioteca local, debe instalar un servidor 
 web (como Apache) para poder ejecutar el servidor OAI.\n
@@ -342,8 +341,5 @@
 
 <p>
-El servidor OAI de Greenstone sÃ³lo soporta metadatos Dublin Core por el momento.
-Para colecciones que usen otros conjuntos de metadatos, se deben establecer reglas
-de equivalencias de metadatos entre esos conjuntos y Dublin Core.
-Consulte el fichero <i>oai.cfg</i> para mayor informaciÃ³n.\n
+_text3_
 "
 
@@ -414,11 +410,11 @@
 
 ÐÐ¿ÑÐµÐŽÐµÐ»ÐµÐœÐžÐµ ÑÐŸÑÐŒÐ°ÑÐ° <i>VList</i> Ð¿ÐŸÐºÐ°Ð·ÑÐ²Ð°ÐµÑ ÑÐŒÐµÐœÑÑÐµÐœÐœÐŸÐµ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐµ, ÐžÐŒÐµÑÑÐµÐµ Ð³ÐžÐ¿ÐµÑÑÐ²ÑÐ·Ñ Ñ ÐžÑÑ
-ÐŸÐŽÐœÑÐŒ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐŒ, Ð² ÑÐŸÐŸÑÐ²ÐµÑÑÑÐ²ÐžÐž Ñ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐŒÐž <i>ÐÐ¿ÐžÑÐ°ÐœÐžÑ</i>; ÑÐµÐ·ÑÐ»ÑÑÐ°Ñ ÑÐµÐ³ÐŸ ÐŒÐŸÐ¶ÐœÐŸ Ð²ÐžÐŽÐµÑÑ <a href=\"_gwcgi_?l=_cgiargl_&c=oai-e&a=d&cl=CL2\">Ð·ÐŽÐµÑÑ</a>. <i>Vlists</i> ÐŽÐ»Ñ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÐŸÐ² ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÑ <i>numleafdocs</i> ÐŽÐ»Ñ Ð¿ÐµÑÐµÐºÐ»ÑÑÐµÐœÐžÑ ÐŒÐµÐ¶ÐŽÑ ÐžÐºÐŸÐœÐºÐ°ÐŒÐž, Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÑÑÑÐžÐŒÐž ÐœÐµÑÐºÐŸÐ»ÑÐºÐŸ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ² (ÐºÐŸÑÐŸÑÑÐ¹ Ð¿ÐŸÑÐ²ÐžÑÑÑ Ð² Ð²ÐžÐŽÐµ ÐºÐœÐžÐ¶ÐœÐŸÐ¹ Ð¿ÐŸÐ»ÐºÐž), Ðž ÐœÐµÐ¿ÐŸÑÑÐµÐŽÑÑÐ²ÐµÐœÐœÐŸ ÑÐŒÐµÐœÑÑÐµÐœÐœÐŸÐµ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐµ, ÐµÑÐ»Ðž ÐŸÐœÐŸ ÑÐŸÐ»ÑÐºÐŸ ÐŸÐŽÐœÐŸ.
+ÐŸÐŽÐœÑÐŒ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐŒ, Ð² ÑÐŸÐŸÑÐ²ÐµÑÑÑÐ²ÐžÐž Ñ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐŒÐž <i>ÐÐ¿ÐžÑÐ°ÐœÐžÑ</i>; ÑÐµÐ·ÑÐ»ÑÑÐ°Ñ ÑÐµÐ³ÐŸ ÐŒÐŸÐ¶ÐœÐŸ Ð²ÐžÐŽÐµÑÑ <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL2\">Ð·ÐŽÐµÑÑ</a>. <i>Vlists</i> ÐŽÐ»Ñ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÐŸÐ² ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÑ <i>numleafdocs</i> ÐŽÐ»Ñ Ð¿ÐµÑÐµÐºÐ»ÑÑÐµÐœÐžÑ ÐŒÐµÐ¶ÐŽÑ ÐžÐºÐŸÐœÐºÐ°ÐŒÐž, Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÑÑÑÐžÐŒÐž ÐœÐµÑÐºÐŸÐ»ÑÐºÐŸ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ² (ÐºÐŸÑÐŸÑÑÐ¹ Ð¿ÐŸÑÐ²ÐžÑÑÑ Ð² Ð²ÐžÐŽÐµ ÐºÐœÐžÐ¶ÐœÐŸÐ¹ Ð¿ÐŸÐ»ÐºÐž), Ðž ÐœÐµÐ¿ÐŸÑÑÐµÐŽÑÑÐ²ÐµÐœÐœÐŸ ÑÐŒÐµÐœÑÑÐµÐœÐœÐŸÐµ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐµ, ÐµÑÐ»Ðž ÐŸÐœÐŸ ÑÐŸÐ»ÑÐºÐŸ ÐŸÐŽÐœÐŸ.
 
 <h3>Greenstone OAI ÑÐµÑÐ²ÐµÑ</h3>
 
 <p>
-ÐŸÑ Ð²ÐµÑÑÐžÐž 2.52, Greenstone ÐŸÑÐ»ÐžÑÐ°ÐµÑÑÑ Ð²ÑÑÑÐŸÐµÐœÐœÑÐŒ OAI Ð¿ÐŸÑÑÐ°Ð²ÑÐžÐºÐŸÐŒ ÐŽÐ°ÐœÐœÑÑ
-. Ð­ÑÐŸ Ð·Ð°Ð¿ÑÑÐºÐ°ÐµÑÑÑ ÐºÐ°Ðº CGI Ð¿ÑÐŸÐ³ÑÐ°ÐŒÐŒÐ°, ÐœÐ°Ð·ÑÐ²Ð°ÐµÐŒÐ°Ñ \"oaiserver\", Ðž ÑÑÑÐ°ÐœÐŸÐ²Ð»ÐµÐœÐ° Ð² <i>cgi-bin</i> ÐŽÐžÑÐµÐºÑÐŸÑÐžÐž Greenstone. Ð ÑÑÐŸÐŒÑ ÐŒÐŸÐ¶ÐœÐŸ ÐŸÐ±ÑÐ°ÑÐžÑÑÑÑ ÑÐµÑÐµÐ· ÑÐŸ Ð¶Ðµ ÑÐ°ÐŒÑÐ¹ URL ÐºÐ°Ðº Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐ° Greenstone (Ð·Ð°ÐŒÐµÐœÑÑÑÐžÐ¹ \"library\" Ñ \"oaiserver\"). ÐÑÐ»Ðž ÐÑ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÑÐµ Windows Ð»ÐŸÐºÐ°Ð»ÑÐœÑÐ¹ ÑÐµÑÐ²ÐµÑ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž, ÐÑ ÐŽÐŸÐ»Ð¶ÐœÑ ÑÑÑÐ°ÐœÐŸÐ²ÐžÑÑ web ÑÐµÑÐ²ÐµÑ (ÑÐ°ÐºÐŸÐ¹ ÐºÐ°Ðº Apache), ÑÑÐŸÐ±Ñ ÑÐ¿ÑÐ°Ð²Ð»ÑÑÑ OAI ÑÐµÑÐ²ÐµÑÐŸÐŒ.
+Greenstone ÐŸÑÐ»ÐžÑÐ°ÐµÑÑÑ Ð²ÑÑÑÐŸÐµÐœÐœÑÐŒ OAI Ð¿ÐŸÑÑÐ°Ð²ÑÐžÐºÐŸÐŒ ÐŽÐ°ÐœÐœÑÑ
+. Ð­ÑÐŸ Ð·Ð°Ð¿ÑÑÐºÐ°ÐµÑÑÑ ÐºÐ°Ðº CGI Ð¿ÑÐŸÐ³ÑÐ°ÐŒÐŒÐ°, ÐœÐ°Ð·ÑÐ²Ð°ÐµÐŒÐ°Ñ \"oaiserver.cgi\", Ðž ÑÑÑÐ°ÐœÐŸÐ²Ð»ÐµÐœÐ° Ð² <i>cgi-bin</i> ÐŽÐžÑÐµÐºÑÐŸÑÐžÐž Greenstone. Ð ÑÑÐŸÐŒÑ ÐŒÐŸÐ¶ÐœÐŸ ÐŸÐ±ÑÐ°ÑÐžÑÑÑÑ ÑÐµÑÐµÐ· ÑÐŸ Ð¶Ðµ ÑÐ°ÐŒÑÐ¹ URL ÐºÐ°Ðº Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐ° Greenstone (Ð·Ð°ÐŒÐµÐœÑÑÑÐžÐ¹ \"library.cgi\" Ñ \"oaiserver.cgi\"). ÐÑÐ»Ðž ÐÑ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÑÐµ Windows Ð»ÐŸÐºÐ°Ð»ÑÐœÑÐ¹ ÑÐµÑÐ²ÐµÑ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž, ÐÑ ÐŽÐŸÐ»Ð¶ÐœÑ ÑÑÑÐ°ÐœÐŸÐ²ÐžÑÑ web ÑÐµÑÐ²ÐµÑ (ÑÐ°ÐºÐŸÐ¹ ÐºÐ°Ðº Apache), ÑÑÐŸÐ±Ñ ÑÐ¿ÑÐ°Ð²Ð»ÑÑÑ OAI ÑÐµÑÐ²ÐµÑÐŸÐŒ.
 
 <p>
@@ -428,6 +424,4 @@
 
 <p>
-OAI ÑÐµÑÐ²ÐµÑ Greenstone Ð² ÐœÐ°ÑÑÐŸÑÑÐµÐµ Ð²ÑÐµÐŒÑ Ð¿ÐŸÐŽÐŽÐµÑÐ¶ÐžÐ²Ð°ÐµÑ ÑÐŸÐ»ÑÐºÐŸ Dublin Core ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ. ÐÐ»Ñ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐ¹, ÐºÐŸÑÐŸÑÑÐµ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÑÑ ÐŽÑÑÐ³ÐžÐµ ÐœÐ°Ð±ÐŸÑÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
-, ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ ÐŽÐŸÐ»Ð¶ÐœÑ Ð±ÑÑÑ Ð¿ÑÐµÐŸÐ±ÑÐ°Ð·ÐŸÐ²Ð°ÐœÑ Ð² ÑÐŸÑÐŒÐ°Ñ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
-, ÐºÐŸÑÐŸÑÑÐµ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÑÑÑÑ ÐŽÐ»Ñ Dublin Core. ÐÐŸÐŽÑÐŸÐ±ÐœÐµÐµ ÑÐŒÐŸÑÑÐž ÑÐ°Ð¹Ð» <i>oai.cfg</i>.
+_text3_
 "