Index: /gsdl/trunk/bin/script/full-buildcol.pl
===================================================================
--- /gsdl/trunk/bin/script/full-buildcol.pl	(revision 19409)
+++ /gsdl/trunk/bin/script/full-buildcol.pl	(revision 19410)
@@ -32,8 +32,4 @@
 BEGIN {
     die "GSDLOS not set\n" unless defined $ENV{'GSDLOS'};
-    # for windows, need PERLPATH in order to launch Perl
-    if($ENV{'GSDLOS'} =~ m/windows/) {
-	die "PERLPATH, which is required for Windows, is not set.\n" unless defined $ENV{'PERLPATH'};
-    }
 }
 
@@ -45,6 +41,9 @@
 my $buildcol_cmd = "buildcol.pl -removeold $quoted_argv";
 if($ENV{'GSDLOS'} =~ m/windows/) {
-    $buildcol_cmd = "$ENV{'PERLPATH'}\\Perl.exe -S $buildcol_cmd";
-    #$buildcol_cmd = "perl -S $buildcol_cmd";
+    if($ENV{'PERLPATH'}) {
+	$buildcol_cmd = "$ENV{'PERLPATH'}\\Perl.exe -S $buildcol_cmd";
+    } else {
+	$buildcol_cmd = "perl -S $buildcol_cmd";
+    }
 }
 
Index: /gsdl/trunk/bin/script/full-import.pl
===================================================================
--- /gsdl/trunk/bin/script/full-import.pl	(revision 19409)
+++ /gsdl/trunk/bin/script/full-import.pl	(revision 19410)
@@ -33,8 +33,4 @@
 BEGIN {
     die "GSDLOS not set\n" unless defined $ENV{'GSDLOS'};
-    # for windows, need PERLPATH in order to launch Perl
-    if($ENV{'GSDLOS'} =~ m/windows/) {
-	die "PERLPATH, which is required for Windows, is not set.\n" unless defined $ENV{'PERLPATH'};
-    }
 }
 
@@ -45,6 +41,9 @@
 my $import_cmd = "import.pl -removeold $quoted_argv";
 if($ENV{'GSDLOS'} =~ m/windows/) {
-    $import_cmd = "$ENV{'PERLPATH'}\\Perl.exe -S $import_cmd";
-    #$import_cmd = "perl -S $import_cmd";
+    if($ENV{'PERLPATH'}) {
+	$import_cmd = "$ENV{'PERLPATH'}\\Perl.exe -S $import_cmd";
+    } else {
+	$import_cmd = "perl -S $import_cmd";
+    }
 }
 
Index: /gsdl/trunk/bin/script/full-rebuild.pl
===================================================================
--- /gsdl/trunk/bin/script/full-rebuild.pl	(revision 19409)
+++ /gsdl/trunk/bin/script/full-rebuild.pl	(revision 19410)
@@ -37,9 +37,4 @@
     die "GSDLOS not set\n" unless defined $ENV{'GSDLOS'};
     unshift (@INC, "$ENV{'GSDLHOME'}/perllib");
-
-    # for windows, need PERLPATH in order to launch Perl
-    if($ENV{'GSDLOS'} =~ m/windows/) {
-	 die "PERLPATH, which is required for Windows, is not set.\n" unless defined $ENV{'PERLPATH'};
-    }
 }
 
@@ -109,5 +104,11 @@
 
     my $launch_cmd = "";
-    $launch_cmd = "$ENV{'PERLPATH'}\\Perl.exe -S " if($ENV{'GSDLOS'} =~ m/windows/);
+    if($ENV{'GSDLOS'} =~ m/windows/) {
+	if($ENV{'PERLPATH'}) {
+	    $launch_cmd = "$ENV{'PERLPATH'}\\Perl.exe -S ";
+	} else {
+	    $launch_cmd = "perl -S ";
+	}
+    }
     
     print "\n";
Index: /gsdl/trunk/bin/script/incremental-buildcol.pl
===================================================================
--- /gsdl/trunk/bin/script/incremental-buildcol.pl	(revision 19409)
+++ /gsdl/trunk/bin/script/incremental-buildcol.pl	(revision 19410)
@@ -35,9 +35,4 @@
     die "GSDLOS not set\n" unless defined $ENV{'GSDLOS'};
     unshift (@INC, "$ENV{'GSDLHOME'}/perllib");
-
-    # for windows, need PERLPATH in order to launch Perl
-    if($ENV{'GSDLOS'} =~ m/windows/) {
-	 die "PERLPATH, which is required for Windows, is not set.\n" unless defined $ENV{'PERLPATH'};
-    }
 }
 
@@ -110,6 +105,9 @@
     my $buildcol_cmd = "buildcol.pl";
     if($ENV{'GSDLOS'} =~ m/windows/) {
-	$buildcol_cmd = "$ENV{'PERLPATH'}\\Perl.exe -S $buildcol_cmd";
-	#$buildcol_cmd = "perl -S $buildcol_cmd";
+	if($ENV{'PERLPATH'}) {
+	    $buildcol_cmd = "$ENV{'PERLPATH'}\\Perl.exe -S $buildcol_cmd";
+	} else {
+	    $buildcol_cmd = "perl -S $buildcol_cmd";
+	}
     }
 
Index: /gsdl/trunk/bin/script/incremental-import.pl
===================================================================
--- /gsdl/trunk/bin/script/incremental-import.pl	(revision 19409)
+++ /gsdl/trunk/bin/script/incremental-import.pl	(revision 19410)
@@ -36,9 +36,4 @@
     die "GSDLOS not set\n" unless defined $ENV{'GSDLOS'};
     unshift (@INC, "$ENV{'GSDLHOME'}/perllib");
-
-    # for windows, need PERLPATH in order to launch Perl
-    if($ENV{'GSDLOS'} =~ m/windows/) {
-	 die "PERLPATH, which is required for Windows, is not set.\n" unless defined $ENV{'PERLPATH'};
-    }
 }
 
@@ -113,6 +108,9 @@
     my $import_cmd = "import.pl";
     if($ENV{'GSDLOS'} =~ m/windows/) {
-	$import_cmd = "$ENV{'PERLPATH'}\\Perl.exe -S $import_cmd";
-	#$import_cmd = "perl -S $import_cmd";
+	if($ENV{'PERLPATH'}) {
+	    $import_cmd = "$ENV{'PERLPATH'}\\Perl.exe -S $import_cmd";
+	} else {
+	    $import_cmd = "perl -S $import_cmd";
+	}
     }
     if (-e $archiveinf_doc) {
Index: /gsdl/trunk/bin/script/incremental-rebuild.pl
===================================================================
--- /gsdl/trunk/bin/script/incremental-rebuild.pl	(revision 19409)
+++ /gsdl/trunk/bin/script/incremental-rebuild.pl	(revision 19410)
@@ -37,9 +37,4 @@
     die "GSDLOS not set\n" unless defined $ENV{'GSDLOS'};
     unshift (@INC, "$ENV{'GSDLHOME'}/perllib");
-
-    # for windows, need PERLPATH in order to launch Perl
-    if($ENV{'GSDLOS'} =~ m/windows/) {
-	 die "PERLPATH, which is required for Windows, is not set.\n" unless defined $ENV{'PERLPATH'};
-    }
 }
 
@@ -71,5 +66,11 @@
     
     my $launch_cmd = "";
-    $launch_cmd = "$ENV{'PERLPATH'}\\Perl.exe -S " if($ENV{'GSDLOS'} =~ m/windows/);
+    if($ENV{'GSDLOS'} =~ m/windows/) {
+	if($ENV{'PERLPATH'}) {
+	    $launch_cmd = "$ENV{'PERLPATH'}\\Perl.exe -S ";
+	} else {
+	    $launch_cmd = "perl -S ";
+	}
+    }
 
     print "\n";