Index: /release-kits/shared/core/language-strings/LanguagePack.properties
===================================================================
--- /release-kits/shared/core/language-strings/LanguagePack.properties	(revision 19415)
+++ /release-kits/shared/core/language-strings/LanguagePack.properties	(revision 19416)
@@ -1,24 +1,24 @@
 ### Language page ###
-page.language-selector.displayText = Language
-language-selector-explanation.displayText = Please choose your preferred language
-#(Note: This installer has not been fully translated into all these languages yet)
+page.language-selector.displayText=Language
+language-selector-explanation.displayText=Please choose your preferred language
+# (Note: This installer has not been fully translated into all these languages yet)
 
 
 ### Intro Page ###
-page.intro.displayText = Greenstone @version@ installer
-welcome-message.displayText = Greenstone@version.major@ is software for building and sharing digital libraries.\n\nIt is recommended that you uninstall any previous installations of Greenstone@version.major@ before running this installer.
+page.intro.displayText=Greenstone @version@ installer
+welcome-message.displayText=Greenstone@version.major@ is software for building and sharing digital libraries.\n\nIt is recommended that you uninstall any previous installations of Greenstone@version.major@ before running this installer.
 
 ## License page ###
-page.license.displayText = Software License
+page.license.displayText=Software License
 
 
 ### Destination page ###
-page.destination.displayText = Installation Folder
-installDir.displayText = Select an installation folder
+page.destination.displayText=Installation Folder
+installDir.displayText=Select an installation folder
 
 
 ### InstallShield install detected page ###
-page.dontBudge.displayText = Previous Install Detected
-is-install-detected.displayText = An installation of Greenstone2 older than version 2.81, or an installation of Greenstone3 older than version 3.04, was detected in the installation folder. Installation cannot proceed using the selected installation folder.\n\nPlease quit this installer, uninstall the existing Greenstone installation, and then re-run this installer (recommended). Alternatively, you may go back to the previous page of this installer and select a different installation folder.
+page.dontBudge.displayText=Previous Install Detected
+is-install-detected.displayText=An installation of Greenstone2 older than version 2.81, or an installation of Greenstone3 older than version 3.04, was detected in the installation folder. Installation cannot proceed using the selected installation folder.\n\nPlease quit this installer, uninstall the existing Greenstone installation, and then re-run this installer (recommended). Alternatively, you may go back to the previous page of this installer and select a different installation folder.
 
 
@@ -26,81 +26,46 @@
 # (Note: in the html here, we must use '<br>' for breaklines.
 # '<br/>' and other variations are not recognised.)
-page.selector.displayText = Components
-choose-components.displayText = Please choose the components you wish to install
+page.selector.displayText=Components
+choose-components.displayText=Please choose the components you wish to install
 
-Looking_For_Previous_Installation.displayText = Search for Previous Installations
-Looking_For_Previous_Installation.explanatoryText = If this is an over-install, load some properties of the existing installation to aid the installation process.
+Looking_For_Previous_Installation.displayText=Search for Previous Installations
+Looking_For_Previous_Installation.explanatoryText=If this is an over-install, load some properties of the existing installation to aid the installation process.
 
-Installing_Core_System.displayText = Core System
-Installing_Core_System.explanatoryText = \
-<html> \
-This is the core Greenstone@version.major@ system. It is a required component. \
-</html>
+Installing_Core_System.displayText=Core System
+Installing_Core_System.explanatoryText=<html>This is the core Greenstone@version.major@ system. It is a required component.</html>
 
-Installing_Source_Code_Core.displayText = Source Code Core
-Installing_Source_Code_Core.explanatoryText = \
-<html> \
-This is the core Greenstone@version.major@ system for source releases. <br>\n
-It includes supporting files to accompany the source code. \
-</html>
+Installing_Source_Code_Core.displayText=Source Code Core
+Installing_Source_Code_Core.explanatoryText=<html>This is the core Greenstone@version.major@ system for source releases. <br>\nIt includes supporting files to accompany the source code. </html>
 
-Installing_Source_Code.displayText = Source Code
-Installing_Source_Code.explanatoryText = \
-<html> \
-Install the source code if you wish to compile Greenstone@version.major@ <br>\n
-yourself, make modifications to your copy of Greenstone@version.major@, or if<br>\n
-you just want to see how it works. \
-</html>
+Installing_Source_Code.displayText=Source Code
+Installing_Source_Code.explanatoryText=<html>Install the source code if you wish to compile Greenstone@version.major@ <br>\nyourself, make modifications to your copy of Greenstone@version.major@, or if<br>\nyou just want to see how it works.</html>
 
-Installing_ImageMagick.displayText = ImageMagick with JPEG2000 (@bundled.version.imagemagick@)
-Installing_ImageMagick.explanatoryText = \
-<html> \
-Greenstone uses ImageMagick to process images.<br>\n
-The bundled version of ImageMagick includes support for the JPEG2000 image <br>\
-format. If you have ImageMagick on your computer already, or if you don't wish <br>\
-to include images in Greenstone collections, then you may choose not to <br>\
-install ImageMagick. \
-</html>
+Installing_ImageMagick.displayText=ImageMagick with JPEG2000 (@bundled.version.imagemagick@)
+Installing_ImageMagick.explanatoryText=<html>Greenstone uses ImageMagick to process images.<br>\nThe bundled version of ImageMagick includes support for the JPEG2000 image <br>format. If you have ImageMagick on your computer already, or if you don't wish <br>to include images in Greenstone collections, then you may choose not to <br>install ImageMagick. </html>
 
-Installing_Ghostscript.displayText = GhostScript (@bundled.version.ghostscript@)
-Installing_Ghostscript.explanatoryText = \
-<html> \
-Greenstone uses GhostScript to process PDF and PostScript files.<br> \
-If you have Ghostscript on your computer already, or if you don't wish to<br>\
-include PDF of PostScript files in Greenstone collections, then you may choose <br>\
-not to install Ghostscript. \
-</html>
+Installing_Ghostscript.displayText=GhostScript (@bundled.version.ghostscript@)
+Installing_Ghostscript.explanatoryText=<html> Greenstone uses GhostScript to process PDF and PostScript files.<br> If you have Ghostscript on your computer already, or if you don't wish to<br>include PDF of PostScript files in Greenstone collections, then you may choose <br>not to install Ghostscript. </html>
 
-Installing_Start_Menu_Shortcuts.displayText = Start Menu Shortcuts
-Installing_Start_Menu_Shortcuts.explanatoryText = Create shortcuts to Greenstone@version.major@ on your Start Menu
+Installing_Start_Menu_Shortcuts.displayText=Start Menu Shortcuts
+Installing_Start_Menu_Shortcuts.explanatoryText=Create shortcuts to Greenstone@version.major@ on your Start Menu
 
-Installing_Tomcat.displayText = Apache Tomcat (@bundled.version.tomcat@)
-Installing_Tomcat.explanatoryText = \
-<html> \
-Greenstone3 requires the Apache Tomcat web server to serve your digital library over <br> \
-the web. If you have an existing installation of Tomcat, you can use that installation <br> \
-(some configuration is required), so you can safely opt not to install this component. \
-</html>
+Installing_Tomcat.displayText=Apache Tomcat (@bundled.version.tomcat@)
+Installing_Tomcat.explanatoryText=<html> Greenstone3 requires the Apache Tomcat web server to serve your digital library over <br> the web. If you have an existing installation of Tomcat, you can use that installation <br> (some configuration is required), so you can safely opt not to install this component. </html>
 
-Installing_Ant.displayText = Apache Ant (@bundled.version.ant@)
-Installing_Ant.explanatoryText = \
-<html> \
-Greenstone3 requires Apache Ant to start and stop the Tomcat web server, to recompile <br> \
-the source code, and to perform some maintainence tasks. If you already have Ant installed, <br> \
-you can safely opt not to install this component. \
-</html>
+Installing_Ant.displayText=Apache Ant (@bundled.version.ant@)
+Installing_Ant.explanatoryText=<html> Greenstone3 requires Apache Ant to start and stop the Tomcat web server, to recompile <br> the source code, and to perform some maintainence tasks. If you already have Ant installed, <br> you can safely opt not to install this component. </html>
 
 ### Admin password page
 
 
-page.admin-pages.displayText = Administrations Pages
-admin-expl.displayText = The administration pages of the Greenstone interface allow you to manage the users database, which required if you wish to set up remote greenstone. They also provide an easy way to view log files and to edit the file 'main.cfg'.
-admin-expl-2.displayText = Do you wish to the enable the administration pages of Greenstone? (You will be asked for a password on the next page.)
-admin-expl-3.displayText = NOTE: If you enable the administration pages, they may be accessible over the internet. Please choose a secure password to protect them.
-enable.admin.pages.displayText = Enable Admin Pages
+page.admin-pages.displayText=Administrations Pages
+admin-expl.displayText=The administration pages of the Greenstone interface allow you to manage the users database, which required if you wish to set up remote greenstone. They also provide an easy way to view log files and to edit the file 'main.cfg'.
+admin-expl-2.displayText=Do you wish to the enable the administration pages of Greenstone? (You will be asked for a password on the next page.)
+admin-expl-3.displayText=NOTE: If you enable the administration pages, they may be accessible over the internet. Please choose a secure password to protect them.
+enable.admin.pages.displayText=Enable Admin Pages
 
-page.admin-password.displayText = Admin Password
-admin-password-expl.displayText =  A user with the username 'admin' will be created for you with the password you provide. Please enter the admin password. The password must be between 3 and 20 characters long.
-admin.password.displayText = Admin Password
+page.admin-password.displayText=Admin Password
+admin-password-expl.displayText=A user with the username 'admin' will be created for you with the password you provide. Please enter the admin password. The password must be between 3 and 20 characters long.
+admin.password.displayText=Admin Password
 
 
@@ -108,99 +73,99 @@
 
 ### Tomcat config page
-page.tomcat-config.displayText = Apache Tomcat Configuration
-tomcat-config-explanation1.displayText = Greenstone3 uses Apache Tomcat to share your digital libraries.
-tomcat-config-explanation2.displayText = You can either configure Tomcat here, or by editing the build.properties file in the Greenstone3 home folder (${installDir}).
-tomcat.server.displayText = Tomcat Server
-tomcat-server.explanatoryText = Please enter the name of the server machine where the library will be hosted. If you are not sure, accept the default (localhost).
-tomcat.port.explanatoryText = Please select the ports which tomcat should use. It is usually safe to accept the defaults. If you are already running other services on the default ports, please select some free ports.
-tomcat.port.displayText = Tom	cat Port
-tomcat.shutdown.port.displayText = Tomcat Shutdown Port
+page.tomcat-config.displayText=Apache Tomcat Configuration
+tomcat-config-explanation1.displayText=Greenstone3 uses Apache Tomcat to share your digital libraries.
+tomcat-config-explanation2.displayText=You can either configure Tomcat here, or by editing the build.properties file in the Greenstone3 home folder (${installDir}).
+tomcat.server.displayText=Tomcat Server
+tomcat-server.explanatoryText=Please enter the name of the server machine where the library will be hosted. If you are not sure, accept the default (localhost).
+tomcat.port.explanatoryText=Please select the ports which tomcat should use. It is usually safe to accept the defaults. If you are already running other services on the default ports, please select some free ports.
+tomcat.port.displayText=Tomcat Port
+tomcat.shutdown.port.displayText=Tomcat Shutdown Port
 
 ### Progress page
-page.progress.displayText = Installation progress
+page.progress.displayText=Installation progress
 
 ### Uninstaller Strings
 
-uninstaller.greenstone.uninstaller = Greenstone Uninstaller
-uninstaller.cancel = Cancel
-uninstaller.uninstall = Uninstall
-uninstaller.finish = Finish
-uninstaller.error = Error
-uninstaller.confirmation = Confirmation
-uninstaller.continue = Continue
-uninstaller.complete = Complete
-uninstaller.skip = Skip
-uninstaller.skip.all = Skip All
-uninstaller.retry = Retry
-uninstaller.readonly = Read Only
+uninstaller.greenstone.uninstaller=Greenstone Uninstaller
+uninstaller.cancel=Cancel
+uninstaller.uninstall=Uninstall
+uninstaller.finish=Finish
+uninstaller.error=Error
+uninstaller.confirmation=Confirmation
+uninstaller.continue=Continue
+uninstaller.complete=Complete
+uninstaller.skip=Skip
+uninstaller.skip.all=Skip All
+uninstaller.retry=Retry
+uninstaller.readonly=Read Only
 
-uninstaller.will.uninstall.from = Uninstall Greenstone from:
-uninstaller.uninstall.options = Uninstall Options:
-uninstaller.keep.collections = Keep Collections
-uninstaller.are.you.sure = Are you sure you wish to Uninstall Greenstone
-uninstaller.are.you.sure.collections = You have chosen to delete your collections.\nPlease backup any collections you wish to keep before continuing
-uninstaller.failed.to.figure.cd = Failed to figure out the current directory
-uninstaller.cancelled = Uninstall Cancelled
-uninstaller.finished = Uninstall Finished
-uninstaller.deleting = Deleting {file} from disk
+uninstaller.will.uninstall.from=Uninstall Greenstone from:
+uninstaller.uninstall.options=Uninstall Options:
+uninstaller.keep.collections=Keep Collections
+uninstaller.are.you.sure=Are you sure you wish to Uninstall Greenstone
+uninstaller.are.you.sure.collections=You have chosen to delete your collections.\nPlease backup any collections you wish to keep before continuing
+uninstaller.failed.to.figure.cd=Failed to figure out the current directory
+uninstaller.cancelled=Uninstall Cancelled
+uninstaller.finished=Uninstall Finished
+uninstaller.deleting=Deleting {file} from disk
 
-uninstaller.info.skipping = INFO: Skipping {file}
-uninstaller.info.no.startmenu = INFO: No StartMenu path found. Deleting a StartMenu group will not be part of this uninstall
-uninstaller.warning.readonly = WARNING: {file} appears to be read-only
-uninstaller.warning.couldnt.delete = WARNING: {file} could not be deleted. Skipped.
-uninstaller.warning.nonexistent = WARNING: {file} does not exist
-uninstaller.error.nonexistent = ERROR: {file} does not exist
-uninstaller.error.couldnt.find.install.props = ERROR: Could not find the 'installation.properties' or 'etc/installation.properties' file.\nEither this is not a valid Greenstone installation, or the installation has been corrupted.\nUninstallation cannot proceed
-uninstaller.warning.couldnt.create.flagfile = WARNING: Couldn't create the flag file. You will have to delete the jre and loose uninstaller files manually
+uninstaller.info.skipping=INFO: Skipping {file}
+uninstaller.info.no.startmenu=INFO: No StartMenu path found. Deleting a StartMenu group will not be part of this uninstall
+uninstaller.warning.readonly=WARNING: {file} appears to be read-only
+uninstaller.warning.couldnt.delete=WARNING: {file} could not be deleted. Skipped.
+uninstaller.warning.nonexistent=WARNING: {file} does not exist
+uninstaller.error.nonexistent=ERROR: {file} does not exist
+uninstaller.error.couldnt.find.install.props=ERROR: Could not find the 'installation.properties' or 'etc/installation.properties' file.\nEither this is not a valid Greenstone installation, or the installation has been corrupted.\nUninstallation cannot proceed
+uninstaller.warning.couldnt.create.flagfile=WARNING: Couldn't create the flag file. You will have to delete the jre and loose uninstaller files manually
 
 
 ### Ant-Installer Core strings
 
-dirNotExistCreate = The folder does not exist, create it?
-dirNotExist = The folder does not exist
-fileNotExist = The file does not exist
-dirNotCreated = The folder could not be created
-canNotCreateFile = Can not create file
-appRootInvalid = This folder does not appear to be the root of the application
-selectFile = Select File
-selectFolder = Select Folder
-browseDotDotDot = Browse...
-notValidSelection = Not a valid selection
-showDetails = Show Details
+dirNotExistCreate=The folder does not exist, create it?
+dirNotExist=The folder does not exist
+fileNotExist=The file does not exist
+dirNotCreated=The folder could not be created
+canNotCreateFile=Can not create file
+appRootInvalid=This folder does not appear to be the root of the application
+selectFile=Select File
+selectFolder=Select Folder
+browseDotDotDot=Browse...
+notValidSelection=Not a valid selection
+showDetails=Show Details
 
 #Default loading
-promptLoadDefaults = Installation configuration found. Load the existing configuration?
-promptMissingDefaultPassword = A password was not found it may have been omitted for security reasons, it will be set to the default.
+promptLoadDefaults=Installation configuration found. Load the existing configuration?
+promptMissingDefaultPassword=A password was not found it may have been omitted for security reasons, it will be set to the default.
 
-click = Click
-toContinue = to continue
-failed = Failed
-exit = Exit
-complete = Complete
-finished = Finished
-extracting = Extracting...
-installFinished = Install Finished
-install-cancelled = Install Cancelled
-running =
+click=Click
+toContinue=to continue
+failed=Failed
+exit=Exit
+complete=Complete
+finished=Finished
+extracting=Extracting...
+installFinished=Install Finished
+install-cancelled=Install Cancelled
+running=
 
-backButton = Back
-cancelButton = Cancel
-nextButton = Next
-finishButtonText = Install
+backButton=Back
+cancelButton=Cancel
+nextButton=Next
+finishButtonText=Install
 
-output = Output
-errors = Errors
-notCorrectFormat = The field is not of the correct format
-notCorrectPasswordFormat = The password is not of the correct format
-passwordsDoNotMatch = The passwords do not match
-installationFailed = Install failed
-propertiesVersionMismatch = Some options are missing from the previous version and must be manually entered, continue?
+output=Output
+errors=Errors
+notCorrectFormat=The field is not of the correct format
+notCorrectPasswordFormat=The password is not of the correct format
+passwordsDoNotMatch=The passwords do not match
+installationFailed=Install failed
+propertiesVersionMismatch=Some options are missing from the previous version and must be manually entered, continue?
 
-Finished = Finished
-Failed = Failed, view the error messages
-ant.failure = Ant run failed - examine the error logs for details
+Finished=Finished
+Failed=Failed, view the error messages
+ant.failure=Ant run failed - examine the error logs for details
 
-license.next.text = Accept
-license.cancel.text = Reject
+license.next.text=Accept
+license.cancel.text=Reject
 
 #text install strings