Index: release-kits/shared/windows/wirk.cpp
===================================================================
--- release-kits/wirk2/src/wirk2.cpp	(revision 19324)
+++ release-kits/shared/windows/wirk.cpp	(revision 19452)
@@ -20,8 +20,8 @@
 void show_help() {
 
-	cout << "Wirk2 - Windows Release Kit for Greenstone2" << endl;
+	cout << "WirkXXX - Windows Release Kit for GreenstoneXXX" << endl;
 	cout << "Helps you to create releases from the Repository" << endl << endl;
 
-	cout << "usage: wirk2 [args]" << endl;
+	cout << "usage: wirkXXX [args]" << endl;
 	cout << "	-sim" << endl;
 	cout << "		simulation only, don't actually do anything" << endl << endl;
@@ -40,5 +40,5 @@
 
 	cout << "	-cp" << endl;
-	cout << "		show the classpath being used by wirk2" << endl << endl;
+	cout << "		show the classpath being used by wirkXXX" << endl << endl;
 
 }
@@ -52,9 +52,9 @@
 	bool ok = true;
 	if ( getenv( "JAVA_HOME" ) == NULL ) {
-		cerr << "Please set JAVA_HOME before running wirk2" << endl;
+		cerr << "Please set JAVA_HOME before running wirkXXX" << endl;
 		ok = false;
 	}
-	if ( getenv( "WIRK2_HOME" ) == NULL ) {
-		cerr << "Please set WIRK2_HOME before running wirk2" << endl;
+	if ( getenv( "WIRKXXX_HOME" ) == NULL ) {
+		cerr << "Please set WIRKXXX_HOME before running wirkXXX" << endl;
 		ok = false;
 	}
@@ -62,10 +62,9 @@
 		return -1;
 	}
-	//string PWD = getenv( "CD" );
 
 	//load environment variables
 	string JAVA_HOME = getenv( "JAVA_HOME" );
-	string WIRK2_HOME = getenv( "WIRK2_HOME" );
-	putenv( ("ANT_HOME=" + WIRK2_HOME + "\\core\\ant").c_str() );
+	string WIRKXXX_HOME = getenv( "WIRKXXX_HOME" );
+	putenv( ("ANT_HOME=" + WIRKXXX_HOME + "\\core\\ant").c_str() );
 	
 	//get the pwd
@@ -77,14 +76,7 @@
 	system( "del cd.dat" );
 		
-	//set the classpath
-	//classpath = pwd + "\\installer\\classes;" + JAVA_HOME + "\\core\\lib\\tools.jar;" + WIRK2_HOME + "\\core\\lib\\serializer.jar;" + WIRK2_HOME + "\\core\\lib\\xalan.jar;" + WIRK2_HOME + "\\core\\lib\\xercesImpl.jar;" + WIRK2_HOME + "\\core\\lib\\xml-apis.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-antlr.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-apache-bcel.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-apache-bsf.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-apache-log4j.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-apache-oro.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-apache-regexp.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-apache-resolver.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-commons-logging.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-commons-net.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-icontract.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-jai.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-javamail.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-jdepend.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-jmf.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-jsch.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-junit.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-launcher.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-netrexx.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-nodeps.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-starteam.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-stylebook.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-swing.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-trax.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-vaj.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-weblogic.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-xalan1.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\ant-xslp.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\xercesImpl.jar;" + WIRK2_HOME + "\\core\\ant\\lib\\xml-apis.jar;" + WIRK2_HOME + "\\core\\ant-installer\\lib\\ai-icons-amaranth.jar;" + WIRK2_HOME + "\\core\\ant-installer\\lib\\ai-icons-bluecurve.jar;" + WIRK2_HOME + "\\core\\ant-installer\\lib\\ai-icons-crystalsvg.jar;" + WIRK2_HOME + "\\core\\ant-installer\\lib\\ai-icons-eclipse.jar;" + WIRK2_HOME + "\\core\\ant-installer\\lib\\ai-icons-krystaline.jar;" + WIRK2_HOME + "\\core\\ant-installer\\lib\\ant-installer-ext.jar;" + WIRK2_HOME + "\\core\\ant-installer\\lib\\ant-installer.jar;" + WIRK2_HOME + "\\core\\ant-installer\\lib\\jgoodies-edited-1_2_2.jar;" + WIRK2_HOME + "\\core\\ant-installer\\lib\\xercesImpl.jar;" + WIRK2_HOME + "\\core\\ant-installer\\lib\\xml-apis.jar;" + WIRK2_HOME + "\\core\\ant-installer\\classes";
-	//putenv( ("CLASSPATH=" + classpath).c_str() );
+	//create the command
+	command = WIRKXXX_HOME + "\\core\\ant\\bin\\ant.bat -f \"" + WIRKXXX_HOME + "\\ant-scripts\\build.xml\" -addressing \"-Dwirk3.home=" + WIRKXXX_HOME + "\"";
 
-	//check that it worked
-	//string changed_classpath = getenv("CLASSPATH");
-	//cout << "classpath: " << changed_classpath << endl;
-	
-	//create the command
-	command = WIRK2_HOME + "\\core\\ant\\bin\\ant.bat -f " + WIRK2_HOME + "\\ant-scripts\\build.xml -addressing -Dwirk2.home=" + WIRK2_HOME;
 	//pass on the arguments
 	string a;
@@ -92,5 +84,5 @@
 	for ( int i=0; i < argc; i++ ) {
 		a = argv[i];
-			
+		
 		if ( a.compare("-help") == 0 || a.compare("--help") == 0 ) {
 			show_help();
@@ -108,20 +100,12 @@
 	}
 
-	//use forward slashes for everything else
-	//replace_all( pwd, "\\", "/" );
-	
 	//set the basedir in the command
-	command = command + " -Dbasedir=";
-	command = command + pwd;
-
-
-	
-	//command = command + ".";
+	command = command + " \"-Dbasedir=" + pwd + "\"";
 
 	cout
 		<< "O-----------------------------------------O" << endl
 		<< "|                                         |" << endl
-		<< "|   WiRK2                                 |" << endl
-		<< "|   Windows Release Kit for Greenstone2   |" << endl
+		<< "|   WiRKXXX                                 |" << endl
+		<< "|   Windows Release Kit for GreenstoneXXX   |" << endl
 		<< "|                                         |" << endl
 		<< "O-----------------------------------------O" << endl